Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenDiagramImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenDiagramImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, BatchValidation, EditorCandies, EditPartCandies, GenCommonBase, GenContainerBase, GenDiagram, LinkConstraints, MeasurementUnit, PackageNames, ProviderClassNames, Shortcuts

    public class GenDiagramImpl

extends GenCommonBaseImpl
implements GenDiagram

An implementation of the model object 'Gen Diagram'.

The following features are implemented:

- `Contained Nodes`
- `Canonical Edit Policy Class Name`
- `Edit Commands Package Name`
- `Edit Helpers Package Name`
- `Edit Parts Package Name`
- `Edit Policies Package Name`
- `Preferences Package Name`
- `Providers Package Name`
- `Parsers Package Name`
- `Notation View Factories Package Name`
- `Element Types Class Name`
- `Notation View Provider Class Name`
- `Notation View Provider Priority`
- `Edit Part Provider Class Name`
- `Edit Part Provider Priority`
- `Modeling Assistant Provider Class Name`
- `Modeling Assistant Provider Priority`
- `Icon Provider Class Name`
- `Icon Provider Priority`
- `Parser Provider Class Name`
- `Parser Provider Priority`
- `Contribution Item Provider Class Name`
- `Reorient Connection View Command Class Name`
- `Base Edit Helper Class Name`
- `Edit Part Factory Class Name`
- `Base External Node Label Edit Part Class Name`
- `Base Item Semantic Edit Policy Class Name`
- `Base Graphical Node Edit Policy Class Name`
- `Text Selection Edit Policy Class Name`
- `Text Non Resizable Edit Policy Class Name`
- `Creation Wizard Class Name`
- `Creation Wizard Page Class Name`
- `Creation Wizard Icon Path`
- `Creation Wizard Icon Path X`
- `Creation Wizard Category ID`
- `Diagram Editor Util Class Name`
- `Document Provider Class Name`
- `Init Diagram File Action Class Name`
- `New Diagram File Wizard Class Name`
- `Diagram Content Initializer Class Name`
- `Matching Strategy Class Name`
- `Visual ID Registry Class Name`
- `Element Chooser Class Name`
- `Load Resource Action Class Name`
- `Editing Domain ID`
- `Shortcuts Decorator Provider Class Name`
- `Shortcuts Decorator Provider Priority`
- `Create Shortcut Action Class Name`
- `Create Shortcut Decorations Command Class Name`
- `Shortcut Property Tester Class Name`
- `Contains Shortcuts To`
- `Shortcuts Provided For`
- `Validation Provider Class Name`
- `Validation Provider Priority`
- `Marker Navigation Provider Class Name`
- `Marker Navigation Provider Priority`
- `Validation Enabled`
- `Metric Provider Class Name`
- `Metric Provider Priority`
- `Validation Decorator Provider Class Name`
- `Validation Decorators`
- `Validation Decorator Provider Priority`
- `Live Validation UI Feedback`
- `Units`
- `Editor Gen`
- `Domain Diagram Element`
- `Child Nodes`
- `Top Level Nodes`
- `Links`
- `Compartments`
- `Palette`
- `Synchronized`
- `Preferences`
- `Preference Pages`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `BASE_EDIT_HELPER_CLASS_NAME_EDEFAULT` The default value of the '`Base Edit Helper Class Name`' attribute
`protected static java.lang.String` `BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME_EDEFAULT` The default value of the '`Base External Node Label Edit Part Class Name`' attribute
`protected static java.lang.String` `BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME_EDEFAULT` The default value of the '`Base Graphical Node Edit Policy Class Name`' attribute
`protected static java.lang.String` `BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT` The default value of the '`Base Item Semantic Edit Policy Class Name`' attribute
`protected java.lang.String` `baseEditHelperClassName` The cached value of the '`Base Edit Helper Class Name`' attribute
`protected java.lang.String` `baseExternalNodeLabelEditPartClassName` The cached value of the '`Base External Node Label Edit Part Class Name`' attribute
`protected java.lang.String` `baseGraphicalNodeEditPolicyClassName` The cached value of the '`Base Graphical Node Edit Policy Class Name`' attribute
`protected java.lang.String` `baseItemSemanticEditPolicyClassName` The cached value of the '`Base Item Semantic Edit Policy Class Name`' attribute
`protected static java.lang.String` `CANONICAL_EDIT_POLICY_CLASS_NAME_EDEFAULT` The default value of the '`Canonical Edit Policy Class Name`' attribute
`protected java.lang.String` `canonicalEditPolicyClassName` The cached value of the '`Canonical Edit Policy Class Name`' attribute
`protected org.eclipse.emf.common.util.EList<GenChildNode>` `childNodes` The cached value of the '`Child Nodes`' containment reference list
`protected org.eclipse.emf.common.util.EList<GenCompartment>` `compartments` The cached value of the '`Compartments`' containment reference list
`protected org.eclipse.emf.common.util.EList<java.lang.String>` `containsShortcutsTo` The cached value of the '`Contains Shortcuts To`' attribute list
`protected static java.lang.String` `CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Contribution Item Provider Class Name`' attribute
`protected java.lang.String` `contributionItemProviderClassName` The cached value of the '`Contribution Item Provider Class Name`' attribute
`protected static java.lang.String` `CREATE_SHORTCUT_ACTION_CLASS_NAME_EDEFAULT` The default value of the '`Create Shortcut Action Class Name`' attribute
`protected static java.lang.String` `CREATE_SHORTCUT_DECORATIONS_COMMAND_CLASS_NAME_EDEFAULT` The default value of the '`Create Shortcut Decorations Command Class Name`' attribute
`protected java.lang.String` `createShortcutActionClassName` The cached value of the '`Create Shortcut Action Class Name`' attribute
`protected java.lang.String` `createShortcutDecorationsCommandClassName` The cached value of the '`Create Shortcut Decorations Command Class Name`' attribute
`protected static java.lang.String` `CREATION_WIZARD_CATEGORY_ID_EDEFAULT` The default value of the '`Creation Wizard Category ID`' attribute
`protected static java.lang.String` `CREATION_WIZARD_CLASS_NAME_EDEFAULT` The default value of the '`Creation Wizard Class Name`' attribute
`protected static java.lang.String` `CREATION_WIZARD_ICON_PATH_EDEFAULT` The default value of the '`Creation Wizard Icon Path`' attribute
`protected static java.lang.String` `CREATION_WIZARD_ICON_PATH_X_EDEFAULT` The default value of the '`Creation Wizard Icon Path X`' attribute
`protected static java.lang.String` `CREATION_WIZARD_PAGE_CLASS_NAME_EDEFAULT` The default value of the '`Creation Wizard Page Class Name`' attribute
`protected java.lang.String` `creationWizardCategoryID` The cached value of the '`Creation Wizard Category ID`' attribute
`protected java.lang.String` `creationWizardClassName` The cached value of the '`Creation Wizard Class Name`' attribute
`protected java.lang.String` `creationWizardIconPath` The cached value of the '`Creation Wizard Icon Path`' attribute
`protected java.lang.String` `creationWizardPageClassName` The cached value of the '`Creation Wizard Page Class Name`' attribute
`protected static java.lang.String` `DIAGRAM_CONTENT_INITIALIZER_CLASS_NAME_EDEFAULT` The default value of the '`Diagram Content Initializer Class Name`' attribute
`protected static java.lang.String` `DIAGRAM_EDITOR_UTIL_CLASS_NAME_EDEFAULT` The default value of the '`Diagram Editor Util Class Name`' attribute
`protected java.lang.String` `diagramContentInitializerClassName` The cached value of the '`Diagram Content Initializer Class Name`' attribute
`protected java.lang.String` `diagramEditorUtilClassName` The cached value of the '`Diagram Editor Util Class Name`' attribute
`protected static java.lang.String` `DOCUMENT_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Document Provider Class Name`' attribute
`protected java.lang.String` `documentProviderClassName` The cached value of the '`Document Provider Class Name`' attribute
`protected org.eclipse.emf.codegen.ecore.genmodel.GenClass` `domainDiagramElement` The cached value of the '`Domain Diagram Element`' reference
`protected static java.lang.String` `EDIT_COMMANDS_PACKAGE_NAME_EDEFAULT` The default value of the '`Edit Commands Package Name`' attribute
`protected static java.lang.String` `EDIT_HELPERS_PACKAGE_NAME_EDEFAULT` The default value of the '`Edit Helpers Package Name`' attribute
`protected static java.lang.String` `EDIT_PART_FACTORY_CLASS_NAME_EDEFAULT` The default value of the '`Edit Part Factory Class Name`' attribute
`protected static java.lang.String` `EDIT_PART_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Edit Part Provider Class Name`' attribute
`protected static ProviderPriority` `EDIT_PART_PROVIDER_PRIORITY_EDEFAULT` The default value of the '`Edit Part Provider Priority`' attribute
`protected static java.lang.String` `EDIT_PARTS_PACKAGE_NAME_EDEFAULT` The default value of the '`Edit Parts Package Name`' attribute
`protected static java.lang.String` `EDIT_POLICIES_PACKAGE_NAME_EDEFAULT` The default value of the '`Edit Policies Package Name`' attribute
`protected java.lang.String` `editCommandsPackageName` The cached value of the '`Edit Commands Package Name`' attribute
`protected java.lang.String` `editHelpersPackageName` The cached value of the '`Edit Helpers Package Name`' attribute
`protected static java.lang.String` `EDITING_DOMAIN_ID_EDEFAULT` The default value of the '`Editing Domain ID`' attribute
`protected java.lang.String` `editingDomainID` The cached value of the '`Editing Domain ID`' attribute
`protected java.lang.String` `editPartFactoryClassName` The cached value of the '`Edit Part Factory Class Name`' attribute
`protected java.lang.String` `editPartProviderClassName` The cached value of the '`Edit Part Provider Class Name`' attribute
`protected ProviderPriority` `editPartProviderPriority` The cached value of the '`Edit Part Provider Priority`' attribute
`protected java.lang.String` `editPartsPackageName` The cached value of the '`Edit Parts Package Name`' attribute
`protected java.lang.String` `editPoliciesPackageName` The cached value of the '`Edit Policies Package Name`' attribute
`protected static java.lang.String` `ELEMENT_CHOOSER_CLASS_NAME_EDEFAULT` The default value of the '`Element Chooser Class Name`' attribute
`protected static java.lang.String` `ELEMENT_TYPES_CLASS_NAME_EDEFAULT` The default value of the '`Element Types Class Name`' attribute
`protected java.lang.String` `elementChooserClassName` The cached value of the '`Element Chooser Class Name`' attribute
`protected java.lang.String` `elementTypesClassName` The cached value of the '`Element Types Class Name`' attribute
`protected static java.lang.String` `ICON_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Icon Provider Class Name`' attribute
`protected static ProviderPriority` `ICON_PROVIDER_PRIORITY_EDEFAULT` The default value of the '`Icon Provider Priority`' attribute
`protected java.lang.String` `iconProviderClassName` The cached value of the '`Icon Provider Class Name`' attribute
`protected ProviderPriority` `iconProviderPriority` The cached value of the '`Icon Provider Priority`' attribute
`protected static java.lang.String` `INIT_DIAGRAM_FILE_ACTION_CLASS_NAME_EDEFAULT` The default value of the '`Init Diagram File Action Class Name`' attribute
`protected java.lang.String` `initDiagramFileActionClassName` The cached value of the '`Init Diagram File Action Class Name`' attribute
`protected org.eclipse.emf.common.util.EList<GenLink>` `links` The cached value of the '`Links`' containment reference list
`protected static boolean` `LIVE_VALIDATION_UI_FEEDBACK_EDEFAULT` The default value of the '`Live Validation UI Feedback`' attribute
`protected boolean` `liveValidationUIFeedback` The cached value of the '`Live Validation UI Feedback`' attribute
`protected static java.lang.String` `LOAD_RESOURCE_ACTION_CLASS_NAME_EDEFAULT` The default value of the '`Load Resource Action Class Name`' attribute
`protected java.lang.String` `loadResourceActionClassName` The cached value of the '`Load Resource Action Class Name`' attribute
`protected static java.lang.String` `MARKER_NAVIGATION_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Marker Navigation Provider Class Name`' attribute
`protected static ProviderPriority` `MARKER_NAVIGATION_PROVIDER_PRIORITY_EDEFAULT` The default value of the '`Marker Navigation Provider Priority`' attribute
`protected java.lang.String` `markerNavigationProviderClassName` The cached value of the '`Marker Navigation Provider Class Name`' attribute
`protected ProviderPriority` `markerNavigationProviderPriority` The cached value of the '`Marker Navigation Provider Priority`' attribute
`protected static java.lang.String` `MATCHING_STRATEGY_CLASS_NAME_EDEFAULT` The default value of the '`Matching Strategy Class Name`' attribute
`protected java.lang.String` `matchingStrategyClassName` The cached value of the '`Matching Strategy Class Name`' attribute
`protected static java.lang.String` `METRIC_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Metric Provider Class Name`' attribute
`protected static ProviderPriority` `METRIC_PROVIDER_PRIORITY_EDEFAULT` The default value of the '`Metric Provider Priority`' attribute
`protected java.lang.String` `metricProviderClassName` The cached value of the '`Metric Provider Class Name`' attribute
`protected ProviderPriority` `metricProviderPriority` The cached value of the '`Metric Provider Priority`' attribute
`protected static java.lang.String` `MODELING_ASSISTANT_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Modeling Assistant Provider Class Name`' attribute
`protected static ProviderPriority` `MODELING_ASSISTANT_PROVIDER_PRIORITY_EDEFAULT` The default value of the '`Modeling Assistant Provider Priority`' attribute
`protected java.lang.String` `modelingAssistantProviderClassName` The cached value of the '`Modeling Assistant Provider Class Name`' attribute
`protected ProviderPriority` `modelingAssistantProviderPriority` The cached value of the '`Modeling Assistant Provider Priority`' attribute
`protected static java.lang.String` `NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME_EDEFAULT` The default value of the '`New Diagram File Wizard Class Name`' attribute
`protected java.lang.String` `newDiagramFileWizardClassName` The cached value of the '`New Diagram File Wizard Class Name`' attribute
`protected static java.lang.String` `NOTATION_VIEW_FACTORIES_PACKAGE_NAME_EDEFAULT` The default value of the '`Notation View Factories Package Name`' attribute
`protected static java.lang.String` `NOTATION_VIEW_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Notation View Provider Class Name`' attribute
`protected static ProviderPriority` `NOTATION_VIEW_PROVIDER_PRIORITY_EDEFAULT` The default value of the '`Notation View Provider Priority`' attribute
`protected java.lang.String` `notationViewFactoriesPackageName` The cached value of the '`Notation View Factories Package Name`' attribute
`protected java.lang.String` `notationViewProviderClassName` The cached value of the '`Notation View Provider Class Name`' attribute
`protected ProviderPriority` `notationViewProviderPriority` The cached value of the '`Notation View Provider Priority`' attribute
`protected Palette` `palette` The cached value of the '`Palette`' containment reference
`protected static java.lang.String` `PARSER_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Parser Provider Class Name`' attribute
`protected static ProviderPriority` `PARSER_PROVIDER_PRIORITY_EDEFAULT` The default value of the '`Parser Provider Priority`' attribute
`protected java.lang.String` `parserProviderClassName` The cached value of the '`Parser Provider Class Name`' attribute
`protected ProviderPriority` `parserProviderPriority` The cached value of the '`Parser Provider Priority`' attribute
`protected static java.lang.String` `PARSERS_PACKAGE_NAME_EDEFAULT` The default value of the '`Parsers Package Name`' attribute
`protected java.lang.String` `parsersPackageName` The cached value of the '`Parsers Package Name`' attribute
`protected org.eclipse.emf.common.util.EList<GenPreferencePage>` `preferencePages` The cached value of the '`Preference Pages`' containment reference list
`protected GenDiagramPreferences` `preferences` The cached value of the '`Preferences`' containment reference
`protected static java.lang.String` `PREFERENCES_PACKAGE_NAME_EDEFAULT` The default value of the '`Preferences Package Name`' attribute
`protected java.lang.String` `preferencesPackageName` The cached value of the '`Preferences Package Name`' attribute
`protected static java.lang.String` `PROVIDERS_PACKAGE_NAME_EDEFAULT` The default value of the '`Providers Package Name`' attribute
`protected java.lang.String` `providersPackageName` The cached value of the '`Providers Package Name`' attribute
`protected static java.lang.String` `REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME_EDEFAULT` The default value of the '`Reorient Connection View Command Class Name`' attribute
`protected java.lang.String` `reorientConnectionViewCommandClassName` The cached value of the '`Reorient Connection View Command Class Name`' attribute
`protected static java.lang.String` `SHORTCUT_PROPERTY_TESTER_CLASS_NAME_EDEFAULT` The default value of the '`Shortcut Property Tester Class Name`' attribute
`protected java.lang.String` `shortcutPropertyTesterClassName` The cached value of the '`Shortcut Property Tester Class Name`' attribute
`protected static java.lang.String` `SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Shortcuts Decorator Provider Class Name`' attribute
`protected static ProviderPriority` `SHORTCUTS_DECORATOR_PROVIDER_PRIORITY_EDEFAULT` The default value of the '`Shortcuts Decorator Provider Priority`' attribute
`protected java.lang.String` `shortcutsDecoratorProviderClassName` The cached value of the '`Shortcuts Decorator Provider Class Name`' attribute
`protected ProviderPriority` `shortcutsDecoratorProviderPriority` The cached value of the '`Shortcuts Decorator Provider Priority`' attribute
`protected org.eclipse.emf.common.util.EList<java.lang.String>` `shortcutsProvidedFor` The cached value of the '`Shortcuts Provided For`' attribute list
`protected boolean` `synchronized_` The cached value of the '`Synchronized`' attribute
`protected static boolean` `SYNCHRONIZED_EDEFAULT` The default value of the '`Synchronized`' attribute
`protected static java.lang.String` `TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME_EDEFAULT` The default value of the '`Text Non Resizable Edit Policy Class Name`' attribute
`protected static java.lang.String` `TEXT_SELECTION_EDIT_POLICY_CLASS_NAME_EDEFAULT` The default value of the '`Text Selection Edit Policy Class Name`' attribute
`protected java.lang.String` `textNonResizableEditPolicyClassName` The cached value of the '`Text Non Resizable Edit Policy Class Name`' attribute
`protected java.lang.String` `textSelectionEditPolicyClassName` The cached value of the '`Text Selection Edit Policy Class Name`' attribute
`protected org.eclipse.emf.common.util.EList<GenTopLevelNode>` `topLevelNodes` The cached value of the '`Top Level Nodes`' containment reference list
`protected java.lang.String` `units` The cached value of the '`Units`' attribute
`protected static java.lang.String` `UNITS_EDEFAULT` The default value of the '`Units`' attribute
`protected static java.lang.String` `VALIDATION_DECORATOR_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Validation Decorator Provider Class Name`' attribute
`protected static ProviderPriority` `VALIDATION_DECORATOR_PROVIDER_PRIORITY_EDEFAULT` The default value of the '`Validation Decorator Provider Priority`' attribute
`protected static boolean` `VALIDATION_DECORATORS_EDEFAULT` The default value of the '`Validation Decorators`' attribute
`protected static boolean` `VALIDATION_ENABLED_EDEFAULT` The default value of the '`Validation Enabled`' attribute
`protected static java.lang.String` `VALIDATION_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Validation Provider Class Name`' attribute
`protected static ProviderPriority` `VALIDATION_PROVIDER_PRIORITY_EDEFAULT` The default value of the '`Validation Provider Priority`' attribute
`protected java.lang.String` `validationDecoratorProviderClassName` The cached value of the '`Validation Decorator Provider Class Name`' attribute
`protected ProviderPriority` `validationDecoratorProviderPriority` The cached value of the '`Validation Decorator Provider Priority`' attribute
`protected boolean` `validationDecorators` The cached value of the '`Validation Decorators`' attribute
`protected boolean` `validationEnabled` The cached value of the '`Validation Enabled`' attribute
`protected java.lang.String` `validationProviderClassName` The cached value of the '`Validation Provider Class Name`' attribute
`protected ProviderPriority` `validationProviderPriority` The cached value of the '`Validation Provider Priority`' attribute
`protected static java.lang.String` `VISUAL_ID_REGISTRY_CLASS_NAME_EDEFAULT` The default value of the '`Visual ID Registry Class Name`' attribute
`protected java.lang.String` `visualIDRegistryClassName` The cached value of the '`Visual ID Registry Class Name`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
`behaviour, diagramRunTimeClass, EDIT_PART_CLASS_NAME_EDEFAULT, editPartClassName, elementType, ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT, itemSemanticEditPolicyClassName, NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT, notationViewFactoryClassName, SANS_DOMAIN_EDEFAULT, styles, viewmap, VISUAL_ID_EDEFAULT, visualID`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenDiagram
`CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenDiagramImpl()`

Method Summary
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `basicGetDomainDiagramElement()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetPalette(Palette newPalette, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetPreferences(GenDiagramPreferences newPreferences, org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`boolean` `generateCreateShortcutAction()`
`boolean` `generateInitDiagramAction()`
`boolean` `generateShortcutIcon()`
`org.eclipse.emf.common.util.EList<GenChildContainer>` `getAllChildContainers()`
`org.eclipse.emf.common.util.EList<GenContainerBase>` `getAllContainers()`
`org.eclipse.emf.common.util.EList<GenNode>` `getAllNodes()`
`org.eclipse.emf.common.util.EList<GenNode>` `getAssistantNodes()`
`java.lang.String` `getBaseEditHelperClassName()` Returns the value of the 'Base Edit Helper Class Name' attribute
`java.lang.String` `getBaseEditHelperClassNameGen()`
`java.lang.String` `getBaseEditHelperQualifiedClassName()`
`java.lang.String` `getBaseExternalNodeLabelEditPartClassName()` Returns the value of the 'Base External Node Label Edit Part Class Name' attribute
`java.lang.String` `getBaseExternalNodeLabelEditPartClassNameGen()`
`java.lang.String` `getBaseExternalNodeLabelEditPartQualifiedClassName()`
`java.lang.String` `getBaseGraphicalNodeEditPolicyClassName()` Returns the value of the 'Base Graphical Node Edit Policy Class Name' attribute
`java.lang.String` `getBaseGraphicalNodeEditPolicyClassNameGen()`
`java.lang.String` `getBaseGraphicalNodeEditPolicyQualifiedClassName()`
`java.lang.String` `getBaseItemSemanticEditPolicyClassName()` Returns the value of the 'Base Item Semantic Edit Policy Class Name' attribute
`java.lang.String` `getBaseItemSemanticEditPolicyClassNameGen()`
`java.lang.String` `getBaseItemSemanticEditPolicyQualifiedClassName()`
`java.lang.String` `getCanonicalEditPolicyClassName()` Returns the value of the 'Canonical Edit Policy Class Name' attribute
`java.lang.String` `getCanonicalEditPolicyClassNameGen()`
`java.lang.String` `getCanonicalEditPolicyQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenChildNode>` `getChildNodes()`
`java.lang.String` `getClassNamePrefix()`
`org.eclipse.emf.common.util.EList<GenCompartment>` `getCompartments()`
`org.eclipse.emf.common.util.EList<GenNode>` `getContainedNodes()`
`org.eclipse.emf.common.util.EList<java.lang.String>` `getContainsShortcutsTo()`
`java.lang.String` `getContributionItemProviderClassName()` Returns the value of the 'Contribution Item Provider Class Name' attribute
`java.lang.String` `getContributionItemProviderClassNameGen()`
`java.lang.String` `getContributionItemProviderQualifiedClassName()`
`java.lang.String` `getCreateShortcutActionClassName()` Returns the value of the 'Create Shortcut Action Class Name' attribute
`java.lang.String` `getCreateShortcutActionClassNameGen()`
`java.lang.String` `getCreateShortcutActionQualifiedClassName()`
`java.lang.String` `getCreateShortcutDecorationsCommandClassName()` Returns the value of the 'Create Shortcut Decorations Command Class Name' attribute
`java.lang.String` `getCreateShortcutDecorationsCommandClassNameGen()`
`java.lang.String` `getCreateShortcutDecorationsCommandQualifiedClassName()`
`java.lang.String` `getCreationWizardCategoryID()` Returns the value of the 'Creation Wizard Category ID' attribute
`java.lang.String` `getCreationWizardCategoryIDGen()`
`java.lang.String` `getCreationWizardClassName()` Returns the value of the 'Creation Wizard Class Name' attribute
`java.lang.String` `getCreationWizardClassNameGen()`
`java.lang.String` `getCreationWizardIconPath()` Returns the value of the 'Creation Wizard Icon Path' attribute
`java.lang.String` `getCreationWizardIconPathGen()`
`java.lang.String` `getCreationWizardIconPathX()`
`java.lang.String` `getCreationWizardPageClassName()` Returns the value of the 'Creation Wizard Page Class Name' attribute
`java.lang.String` `getCreationWizardPageClassNameGen()`
`java.lang.String` `getCreationWizardPageQualifiedClassName()`
`java.lang.String` `getCreationWizardQualifiedClassName()`
`GenDiagram` `getDiagram()`
`java.lang.String` `getDiagramContentInitializerClassName()` Returns the value of the 'Diagram Content Initializer Class Name' attribute
`java.lang.String` `getDiagramContentInitializerClassNameGen()`
`java.lang.String` `getDiagramContentInitializerQualifiedClassName()`
`java.lang.String` `getDiagramEditorUtilClassName()` Returns the value of the 'Diagram Editor Util Class Name' attribute
`java.lang.String` `getDiagramEditorUtilClassNameGen()`
`java.lang.String` `getDiagramEditorUtilQualifiedClassName()`
`java.lang.String` `getDocumentProviderClassName()` Returns the value of the 'Document Provider Class Name' attribute
`java.lang.String` `getDocumentProviderClassNameGen()`
`java.lang.String` `getDocumentProviderQualifiedClassName()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getDomainDiagramElement()`
`java.lang.String` `getEditCommandsPackageName()` Returns the value of the 'Edit Commands Package Name' attribute
`java.lang.String` `getEditCommandsPackageNameGen()`
`java.lang.String` `getEditHelpersPackageName()` Returns the value of the 'Edit Helpers Package Name' attribute
`java.lang.String` `getEditHelpersPackageNameGen()`
`java.lang.String` `getEditingDomainID()` Returns the value of the 'Editing Domain ID' attribute
`java.lang.String` `getEditingDomainIDGen()`
`GenEditorGenerator` `getEditorGen()`
`java.lang.String` `getEditPartFactoryClassName()` Returns the value of the 'Edit Part Factory Class Name' attribute
`java.lang.String` `getEditPartFactoryClassNameGen()`
`java.lang.String` `getEditPartFactoryQualifiedClassName()`
`java.lang.String` `getEditPartProviderClassName()` Returns the value of the 'Edit Part Provider Class Name' attribute
`java.lang.String` `getEditPartProviderClassNameGen()`
`ProviderPriority` `getEditPartProviderPriority()`
`java.lang.String` `getEditPartProviderQualifiedClassName()`
`java.lang.String` `getEditPartsPackageName()` Returns the value of the 'Edit Parts Package Name' attribute
`java.lang.String` `getEditPartsPackageNameGen()`
`java.lang.String` `getEditPoliciesPackageName()` Returns the value of the 'Edit Policies Package Name' attribute
`java.lang.String` `getEditPoliciesPackageNameGen()`
`java.lang.String` `getElementChooserClassName()` Returns the value of the 'Element Chooser Class Name' attribute
`java.lang.String` `getElementChooserClassNameGen()`
`java.lang.String` `getElementChooserQualifiedClassName()`
`java.lang.String` `getElementInitializersClassName()`
`java.lang.String` `getElementInitializersPackageName()`
`java.lang.String` `getElementTypesClassName()` Returns the value of the 'Element Types Class Name' attribute
`java.lang.String` `getElementTypesClassNameGen()`
`java.lang.String` `getElementTypesQualifiedClassName()`
`java.util.Map<org.eclipse.emf.codegen.ecore.genmodel.GenClass,GenTopLevelNode>` `getGenClass2PhantomMap()`
`java.lang.String` `getIconProviderClassName()` Returns the value of the 'Icon Provider Class Name' attribute
`java.lang.String` `getIconProviderClassNameGen()`
`ProviderPriority` `getIconProviderPriority()`
`java.lang.String` `getIconProviderQualifiedClassName()`
`java.lang.String` `getInitDiagramFileActionClassName()` Returns the value of the 'Init Diagram File Action Class Name' attribute
`java.lang.String` `getInitDiagramFileActionClassNameGen()`
`java.lang.String` `getInitDiagramFileActionQualifiedClassName()`
`java.lang.String` `getLinkCreationConstraintsClassName()`
`java.lang.String` `getLinkCreationConstraintsQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenLink>` `getLinks()`
`java.lang.String` `getLoadResourceActionClassName()` Returns the value of the 'Load Resource Action Class Name' attribute
`java.lang.String` `getLoadResourceActionClassNameGen()`
`java.lang.String` `getLoadResourceActionQualifiedClassName()`
`java.lang.String` `getMarkerNavigationProviderClassName()`
`java.lang.String` `getMarkerNavigationProviderClassNameGen()`
`ProviderPriority` `getMarkerNavigationProviderPriority()`
`java.lang.String` `getMarkerNavigationProviderQualifiedClassName()`
`java.lang.String` `getMatchingStrategyClassName()` Returns the value of the 'Matching Strategy Class Name' attribute
`java.lang.String` `getMatchingStrategyClassNameGen()`
`java.lang.String` `getMatchingStrategyQualifiedClassName()`
`java.lang.String` `getMetaPackageName(ImportAssistant importManager)` Deprecated.
`java.lang.String` `getMetricProviderClassName()`
`java.lang.String` `getMetricProviderClassNameGen()`
`ProviderPriority` `getMetricProviderPriority()`
`java.lang.String` `getMetricProviderQualifiedClassName()`
`java.lang.String` `getMetricViewID()`
`java.lang.String` `getModelingAssistantProviderClassName()` Returns the value of the 'Modeling Assistant Provider Class Name' attribute
`java.lang.String` `getModelingAssistantProviderClassNameGen()`
`ProviderPriority` `getModelingAssistantProviderPriority()`
`java.lang.String` `getModelingAssistantProviderQualifiedClassName()`
`java.lang.String` `getNewDiagramFileWizardClassName()` Returns the value of the 'New Diagram File Wizard Class Name' attribute
`java.lang.String` `getNewDiagramFileWizardClassNameGen()`
`java.lang.String` `getNewDiagramFileWizardQualifiedClassName()`
`java.lang.String` `getNotationViewFactoriesPackageName()` Returns the value of the 'Notation View Factories Package Name' attribute
`java.lang.String` `getNotationViewFactoriesPackageNameGen()`
`java.lang.String` `getNotationViewProviderClassName()` Returns the value of the 'Notation View Provider Class Name' attribute
`java.lang.String` `getNotationViewProviderClassNameGen()`
`ProviderPriority` `getNotationViewProviderPriority()`
`java.lang.String` `getNotationViewProviderQualifiedClassName()`
`Palette` `getPalette()`
`java.lang.String` `getParserProviderClassName()` Returns the value of the 'Parser Provider Class Name' attribute
`java.lang.String` `getParserProviderClassNameGen()`
`ProviderPriority` `getParserProviderPriority()`
`java.lang.String` `getParserProviderQualifiedClassName()`
`java.lang.String` `getParsersPackageName()` Returns the value of the 'Parsers Package Name' attribute
`java.lang.String` `getParsersPackageNameGen()`
`java.util.List<GenLink>` `getPhantomLinks()`
`org.eclipse.emf.common.util.EList<GenPreferencePage>` `getPreferencePages()`
`GenDiagramPreferences` `getPreferences()`
`java.lang.String` `getPreferencesPackageName()` Returns the value of the 'Preferences Package Name' attribute
`java.lang.String` `getPreferencesPackageNameGen()`
`java.lang.String` `getProvidersPackageName()` Returns the value of the 'Providers Package Name' attribute
`java.lang.String` `getProvidersPackageNameGen()`
`java.lang.String` `getReorientConnectionViewCommandClassName()` Returns the value of the 'Reorient Connection View Command Class Name' attribute
`java.lang.String` `getReorientConnectionViewCommandClassNameGen()`
`java.lang.String` `getReorientConnectionViewCommandQualifiedClassName()`
`java.lang.String` `getShortcutPropertyTesterClassName()` Returns the value of the 'Shortcut Property Tester Class Name' attribute
`java.lang.String` `getShortcutPropertyTesterClassNameGen()`
`java.lang.String` `getShortcutPropertyTesterQualifiedClassName()`
`java.lang.String` `getShortcutsDecoratorProviderClassName()` Returns the value of the 'Shortcuts Decorator Provider Class Name' attribute
`java.lang.String` `getShortcutsDecoratorProviderClassNameGen()`
`ProviderPriority` `getShortcutsDecoratorProviderPriority()`
`java.lang.String` `getShortcutsDecoratorProviderQualifiedClassName()`
`org.eclipse.emf.common.util.EList<java.lang.String>` `getShortcutsProvidedFor()`
`java.lang.String` `getTextNonResizableEditPolicyClassName()` Returns the value of the 'Text Non Resizable Edit Policy Class Name' attribute
`java.lang.String` `getTextNonResizableEditPolicyClassNameGen()`
`java.lang.String` `getTextNonResizableEditPolicyQualifiedClassName()`
`java.lang.String` `getTextSelectionEditPolicyClassName()` Returns the value of the 'Text Selection Edit Policy Class Name' attribute
`java.lang.String` `getTextSelectionEditPolicyClassNameGen()`
`java.lang.String` `getTextSelectionEditPolicyQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenTopLevelNode>` `getTopLevelNodes()`
`java.util.Map<TypeModelFacet,GenCommonBase>` `getTypeModelFacet2GenBaseMap()` Deprecated.
`java.lang.String` `getUnits()`
`java.lang.String` `getValidationDecoratorProviderClassName()`
`java.lang.String` `getValidationDecoratorProviderClassNameGen()`
`ProviderPriority` `getValidationDecoratorProviderPriority()`
`java.lang.String` `getValidationDecoratorProviderQualifiedClassName()`
`java.lang.String` `getValidationDiagnosticMarkerType()`
`java.lang.String` `getValidationProviderClassName()`
`java.lang.String` `getValidationProviderClassNameGen()`
`ProviderPriority` `getValidationProviderPriority()`
`java.lang.String` `getValidationProviderQualifiedClassName()`
`java.lang.String` `getVisualIDRegistryClassName()` Returns the value of the 'Visual ID Registry Class Name' attribute
`java.lang.String` `getVisualIDRegistryClassNameGen()`
`java.lang.String` `getVisualIDRegistryQualifiedClassName()`
`boolean` `hasLinkCreationConstraints()`
`boolean` `isLiveValidationUIFeedback()`
`boolean` `isSansDomain()`
`boolean` `isSynchronized()`
`boolean` `isValidationDecorators()`
`boolean` `isValidationEnabled()`
`boolean` `needsCanonicalEditPolicy()`
`void` `setBaseEditHelperClassName(java.lang.String newBaseEditHelperClassName)`
`void` `setBaseExternalNodeLabelEditPartClassName(java.lang.String newBaseExternalNodeLabelEditPartClassName)`
`void` `setBaseGraphicalNodeEditPolicyClassName(java.lang.String newBaseGraphicalNodeEditPolicyClassName)`
`void` `setBaseItemSemanticEditPolicyClassName(java.lang.String newBaseItemSemanticEditPolicyClassName)`
`void` `setCanonicalEditPolicyClassName(java.lang.String newCanonicalEditPolicyClassName)`
`void` `setContributionItemProviderClassName(java.lang.String newContributionItemProviderClassName)`
`void` `setCreateShortcutActionClassName(java.lang.String newCreateShortcutActionClassName)`
`void` `setCreateShortcutDecorationsCommandClassName(java.lang.String newCreateShortcutDecorationsCommandClassName)`
`void` `setCreationWizardCategoryID(java.lang.String newCreationWizardCategoryID)`
`void` `setCreationWizardClassName(java.lang.String newCreationWizardClassName)`
`void` `setCreationWizardIconPath(java.lang.String newCreationWizardIconPath)`
`void` `setCreationWizardPageClassName(java.lang.String newCreationWizardPageClassName)`
`void` `setDiagramContentInitializerClassName(java.lang.String newDiagramContentInitializerClassName)`
`void` `setDiagramEditorUtilClassName(java.lang.String newDiagramEditorUtilClassName)`
`void` `setDocumentProviderClassName(java.lang.String newDocumentProviderClassName)`
`void` `setDomainDiagramElement(org.eclipse.emf.codegen.ecore.genmodel.GenClass newDomainDiagramElement)`
`void` `setEditCommandsPackageName(java.lang.String newEditCommandsPackageName)`
`void` `setEditHelpersPackageName(java.lang.String newEditHelpersPackageName)`
`void` `setEditingDomainID(java.lang.String newEditingDomainID)`
`void` `setEditPartFactoryClassName(java.lang.String newEditPartFactoryClassName)`
`void` `setEditPartProviderClassName(java.lang.String newEditPartProviderClassName)`
`void` `setEditPartProviderPriority(ProviderPriority newEditPartProviderPriority)`
`void` `setEditPartsPackageName(java.lang.String newEditPartsPackageName)`
`void` `setEditPoliciesPackageName(java.lang.String newEditPoliciesPackageName)`
`void` `setElementChooserClassName(java.lang.String newElementChooserClassName)`
`void` `setElementTypesClassName(java.lang.String newElementTypesClassName)`
`void` `setIconProviderClassName(java.lang.String newIconProviderClassName)`
`void` `setIconProviderPriority(ProviderPriority newIconProviderPriority)`
`void` `setInitDiagramFileActionClassName(java.lang.String newInitDiagramFileActionClassName)`
`void` `setLiveValidationUIFeedback(boolean newLiveValidationUIFeedback)`
`void` `setLoadResourceActionClassName(java.lang.String newLoadResourceActionClassName)`
`void` `setMarkerNavigationProviderClassName(java.lang.String newMarkerNavigationProviderClassName)`
`void` `setMarkerNavigationProviderPriority(ProviderPriority newMarkerNavigationProviderPriority)`
`void` `setMatchingStrategyClassName(java.lang.String newMatchingStrategyClassName)`
`void` `setMetricProviderClassName(java.lang.String newMetricProviderClassName)`
`void` `setMetricProviderPriority(ProviderPriority newMetricProviderPriority)`
`void` `setModelingAssistantProviderClassName(java.lang.String newModelingAssistantProviderClassName)`
`void` `setModelingAssistantProviderPriority(ProviderPriority newModelingAssistantProviderPriority)`
`void` `setNewDiagramFileWizardClassName(java.lang.String newNewDiagramFileWizardClassName)`
`void` `setNotationViewFactoriesPackageName(java.lang.String newNotationViewFactoriesPackageName)`
`void` `setNotationViewProviderClassName(java.lang.String newNotationViewProviderClassName)`
`void` `setNotationViewProviderPriority(ProviderPriority newNotationViewProviderPriority)`
`void` `setPalette(Palette newPalette)`
`void` `setParserProviderClassName(java.lang.String newParserProviderClassName)`
`void` `setParserProviderPriority(ProviderPriority newParserProviderPriority)`
`void` `setParsersPackageName(java.lang.String newParsersPackageName)`
`void` `setPreferences(GenDiagramPreferences newPreferences)`
`void` `setPreferencesPackageName(java.lang.String newPreferencesPackageName)`
`void` `setProvidersPackageName(java.lang.String newProvidersPackageName)`
`void` `setReorientConnectionViewCommandClassName(java.lang.String newReorientConnectionViewCommandClassName)`
`void` `setShortcutPropertyTesterClassName(java.lang.String newShortcutPropertyTesterClassName)`
`void` `setShortcutsDecoratorProviderClassName(java.lang.String newShortcutsDecoratorProviderClassName)`
`void` `setShortcutsDecoratorProviderPriority(ProviderPriority newShortcutsDecoratorProviderPriority)`
`void` `setSynchronized(boolean newSynchronized)`
`void` `setTextNonResizableEditPolicyClassName(java.lang.String newTextNonResizableEditPolicyClassName)`
`void` `setTextSelectionEditPolicyClassName(java.lang.String newTextSelectionEditPolicyClassName)`
`void` `setUnits(java.lang.String newUnits)`
`void` `setValidationDecoratorProviderClassName(java.lang.String newValidationDecoratorProviderClassName)`
`void` `setValidationDecoratorProviderPriority(ProviderPriority newValidationDecoratorProviderPriority)`
`void` `setValidationDecorators(boolean newValidationDecorators)`
`void` `setValidationEnabled(boolean newValidationEnabled)`
`void` `setValidationProviderClassName(java.lang.String newValidationProviderClassName)`
`void` `setValidationProviderPriority(ProviderPriority newValidationProviderPriority)`
`void` `setVisualIDRegistryClassName(java.lang.String newVisualIDRegistryClassName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl

`asJavaConstantName, basicGetDiagramRunTimeClass, basicSetElementType, basicSetViewmap, getBehaviour, getBehaviour, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartClassNameGen, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyClassNameGen, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryClassNameGen, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### CANONICAL_EDIT_POLICY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String CANONICAL_EDIT_POLICY_CLASS_NAME_EDEFAULT

  The default value of the '`Canonical Edit Policy Class Name`' attribute.

  See Also:
    `getCanonicalEditPolicyClassName()`
  ** Generated **
  Ordered:

### canonicalEditPolicyClassName

    protected java.lang.String canonicalEditPolicyClassName

  The cached value of the '`Canonical Edit Policy Class Name`' attribute.

  See Also:
    `getCanonicalEditPolicyClassName()`
  ** Generated **
  Ordered:

### EDIT_COMMANDS_PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String EDIT_COMMANDS_PACKAGE_NAME_EDEFAULT

  The default value of the '`Edit Commands Package Name`' attribute.

  See Also:
    `getEditCommandsPackageName()`
  ** Generated **
  Ordered:

### editCommandsPackageName

    protected java.lang.String editCommandsPackageName

  The cached value of the '`Edit Commands Package Name`' attribute.

  See Also:
    `getEditCommandsPackageName()`
  ** Generated **
  Ordered:

### EDIT_HELPERS_PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String EDIT_HELPERS_PACKAGE_NAME_EDEFAULT

  The default value of the '`Edit Helpers Package Name`' attribute.

  See Also:
    `getEditHelpersPackageName()`
  ** Generated **
  Ordered:

### editHelpersPackageName

    protected java.lang.String editHelpersPackageName

  The cached value of the '`Edit Helpers Package Name`' attribute.

  See Also:
    `getEditHelpersPackageName()`
  ** Generated **
  Ordered:

### EDIT_PARTS_PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String EDIT_PARTS_PACKAGE_NAME_EDEFAULT

  The default value of the '`Edit Parts Package Name`' attribute.

  See Also:
    `getEditPartsPackageName()`
  ** Generated **
  Ordered:

### editPartsPackageName

    protected java.lang.String editPartsPackageName

  The cached value of the '`Edit Parts Package Name`' attribute.

  See Also:
    `getEditPartsPackageName()`
  ** Generated **
  Ordered:

### EDIT_POLICIES_PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String EDIT_POLICIES_PACKAGE_NAME_EDEFAULT

  The default value of the '`Edit Policies Package Name`' attribute.

  See Also:
    `getEditPoliciesPackageName()`
  ** Generated **
  Ordered:

### editPoliciesPackageName

    protected java.lang.String editPoliciesPackageName

  The cached value of the '`Edit Policies Package Name`' attribute.

  See Also:
    `getEditPoliciesPackageName()`
  ** Generated **
  Ordered:

### PREFERENCES_PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String PREFERENCES_PACKAGE_NAME_EDEFAULT

  The default value of the '`Preferences Package Name`' attribute.

  See Also:
    `getPreferencesPackageName()`
  ** Generated **
  Ordered:

### preferencesPackageName

    protected java.lang.String preferencesPackageName

  The cached value of the '`Preferences Package Name`' attribute.

  See Also:
    `getPreferencesPackageName()`
  ** Generated **
  Ordered:

### PROVIDERS_PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String PROVIDERS_PACKAGE_NAME_EDEFAULT

  The default value of the '`Providers Package Name`' attribute.

  See Also:
    `getProvidersPackageName()`
  ** Generated **
  Ordered:

### providersPackageName

    protected java.lang.String providersPackageName

  The cached value of the '`Providers Package Name`' attribute.

  See Also:
    `getProvidersPackageName()`
  ** Generated **
  Ordered:

### PARSERS_PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String PARSERS_PACKAGE_NAME_EDEFAULT

  The default value of the '`Parsers Package Name`' attribute.

  See Also:
    `getParsersPackageName()`
  ** Generated **
  Ordered:

### parsersPackageName

    protected java.lang.String parsersPackageName

  The cached value of the '`Parsers Package Name`' attribute.

  See Also:
    `getParsersPackageName()`
  ** Generated **
  Ordered:

### NOTATION_VIEW_FACTORIES_PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String NOTATION_VIEW_FACTORIES_PACKAGE_NAME_EDEFAULT

  The default value of the '`Notation View Factories Package Name`' attribute.

  See Also:
    `getNotationViewFactoriesPackageName()`
  ** Generated **
  Ordered:

### notationViewFactoriesPackageName

    protected java.lang.String notationViewFactoriesPackageName

  The cached value of the '`Notation View Factories Package Name`' attribute.

  See Also:
    `getNotationViewFactoriesPackageName()`
  ** Generated **
  Ordered:

### ELEMENT_TYPES_CLASS_NAME_EDEFAULT

    protected static final java.lang.String ELEMENT_TYPES_CLASS_NAME_EDEFAULT

  The default value of the '`Element Types Class Name`' attribute.

  See Also:
    `getElementTypesClassName()`
  ** Generated **
  Ordered:

### elementTypesClassName

    protected java.lang.String elementTypesClassName

  The cached value of the '`Element Types Class Name`' attribute.

  See Also:
    `getElementTypesClassName()`
  ** Generated **
  Ordered:

### NOTATION_VIEW_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String NOTATION_VIEW_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Notation View Provider Class Name`' attribute.

  See Also:
    `getNotationViewProviderClassName()`
  ** Generated **
  Ordered:

### notationViewProviderClassName

    protected java.lang.String notationViewProviderClassName

  The cached value of the '`Notation View Provider Class Name`' attribute.

  See Also:
    `getNotationViewProviderClassName()`
  ** Generated **
  Ordered:

### NOTATION_VIEW_PROVIDER_PRIORITY_EDEFAULT

    protected static final ProviderPriority NOTATION_VIEW_PROVIDER_PRIORITY_EDEFAULT

  The default value of the '`Notation View Provider Priority`' attribute.

  See Also:
    `getNotationViewProviderPriority()`
  ** Generated **
  Ordered:

### notationViewProviderPriority

    protected ProviderPriority notationViewProviderPriority

  The cached value of the '`Notation View Provider Priority`' attribute.

  See Also:
    `getNotationViewProviderPriority()`
  ** Generated **
  Ordered:

### EDIT_PART_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String EDIT_PART_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Edit Part Provider Class Name`' attribute.

  See Also:
    `getEditPartProviderClassName()`
  ** Generated **
  Ordered:

### editPartProviderClassName

    protected java.lang.String editPartProviderClassName

  The cached value of the '`Edit Part Provider Class Name`' attribute.

  See Also:
    `getEditPartProviderClassName()`
  ** Generated **
  Ordered:

### EDIT_PART_PROVIDER_PRIORITY_EDEFAULT

    protected static final ProviderPriority EDIT_PART_PROVIDER_PRIORITY_EDEFAULT

  The default value of the '`Edit Part Provider Priority`' attribute.

  See Also:
    `getEditPartProviderPriority()`
  ** Generated **
  Ordered:

### editPartProviderPriority

    protected ProviderPriority editPartProviderPriority

  The cached value of the '`Edit Part Provider Priority`' attribute.

  See Also:
    `getEditPartProviderPriority()`
  ** Generated **
  Ordered:

### MODELING_ASSISTANT_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String MODELING_ASSISTANT_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Modeling Assistant Provider Class Name`' attribute.

  See Also:
    `getModelingAssistantProviderClassName()`
  ** Generated **
  Ordered:

### modelingAssistantProviderClassName

    protected java.lang.String modelingAssistantProviderClassName

  The cached value of the '`Modeling Assistant Provider Class Name`' attribute.

  See Also:
    `getModelingAssistantProviderClassName()`
  ** Generated **
  Ordered:

### MODELING_ASSISTANT_PROVIDER_PRIORITY_EDEFAULT

    protected static final ProviderPriority MODELING_ASSISTANT_PROVIDER_PRIORITY_EDEFAULT

  The default value of the '`Modeling Assistant Provider Priority`' attribute.

  See Also:
    `getModelingAssistantProviderPriority()`
  ** Generated **
  Ordered:

### modelingAssistantProviderPriority

    protected ProviderPriority modelingAssistantProviderPriority

  The cached value of the '`Modeling Assistant Provider Priority`' attribute.

  See Also:
    `getModelingAssistantProviderPriority()`
  ** Generated **
  Ordered:

### ICON_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String ICON_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Icon Provider Class Name`' attribute.

  See Also:
    `getIconProviderClassName()`
  ** Generated **
  Ordered:

### iconProviderClassName

    protected java.lang.String iconProviderClassName

  The cached value of the '`Icon Provider Class Name`' attribute.

  See Also:
    `getIconProviderClassName()`
  ** Generated **
  Ordered:

### ICON_PROVIDER_PRIORITY_EDEFAULT

    protected static final ProviderPriority ICON_PROVIDER_PRIORITY_EDEFAULT

  The default value of the '`Icon Provider Priority`' attribute.

  See Also:
    `getIconProviderPriority()`
  ** Generated **
  Ordered:

### iconProviderPriority

    protected ProviderPriority iconProviderPriority

  The cached value of the '`Icon Provider Priority`' attribute.

  See Also:
    `getIconProviderPriority()`
  ** Generated **
  Ordered:

### PARSER_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String PARSER_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Parser Provider Class Name`' attribute.

  See Also:
    `getParserProviderClassName()`
  ** Generated **
  Ordered:

### parserProviderClassName

    protected java.lang.String parserProviderClassName

  The cached value of the '`Parser Provider Class Name`' attribute.

  See Also:
    `getParserProviderClassName()`
  ** Generated **
  Ordered:

### PARSER_PROVIDER_PRIORITY_EDEFAULT

    protected static final ProviderPriority PARSER_PROVIDER_PRIORITY_EDEFAULT

  The default value of the '`Parser Provider Priority`' attribute.

  See Also:
    `getParserProviderPriority()`
  ** Generated **
  Ordered:

### parserProviderPriority

    protected ProviderPriority parserProviderPriority

  The cached value of the '`Parser Provider Priority`' attribute.

  See Also:
    `getParserProviderPriority()`
  ** Generated **
  Ordered:

### CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Contribution Item Provider Class Name`' attribute.

  See Also:
    `getContributionItemProviderClassName()`
  ** Generated **
  Ordered:

### contributionItemProviderClassName

    protected java.lang.String contributionItemProviderClassName

  The cached value of the '`Contribution Item Provider Class Name`' attribute.

  See Also:
    `getContributionItemProviderClassName()`
  ** Generated **
  Ordered:

### REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME_EDEFAULT

    protected static final java.lang.String REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME_EDEFAULT

  The default value of the '`Reorient Connection View Command Class Name`' attribute.

  See Also:
    `getReorientConnectionViewCommandClassName()`
  ** Generated **
  Ordered:

### reorientConnectionViewCommandClassName

    protected java.lang.String reorientConnectionViewCommandClassName

  The cached value of the '`Reorient Connection View Command Class Name`' attribute.

  See Also:
    `getReorientConnectionViewCommandClassName()`
  ** Generated **
  Ordered:

### BASE_EDIT_HELPER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String BASE_EDIT_HELPER_CLASS_NAME_EDEFAULT

  The default value of the '`Base Edit Helper Class Name`' attribute.

  See Also:
    `getBaseEditHelperClassName()`
  ** Generated **
  Ordered:

### baseEditHelperClassName

    protected java.lang.String baseEditHelperClassName

  The cached value of the '`Base Edit Helper Class Name`' attribute.

  See Also:
    `getBaseEditHelperClassName()`
  ** Generated **
  Ordered:

### EDIT_PART_FACTORY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String EDIT_PART_FACTORY_CLASS_NAME_EDEFAULT

  The default value of the '`Edit Part Factory Class Name`' attribute.

  See Also:
    `getEditPartFactoryClassName()`
  ** Generated **
  Ordered:

### editPartFactoryClassName

    protected java.lang.String editPartFactoryClassName

  The cached value of the '`Edit Part Factory Class Name`' attribute.

  See Also:
    `getEditPartFactoryClassName()`
  ** Generated **
  Ordered:

### BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME_EDEFAULT

    protected static final java.lang.String BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME_EDEFAULT

  The default value of the '`Base External Node Label Edit Part Class Name`' attribute.

  See Also:
    `getBaseExternalNodeLabelEditPartClassName()`
  ** Generated **
  Ordered:

### baseExternalNodeLabelEditPartClassName

    protected java.lang.String baseExternalNodeLabelEditPartClassName

  The cached value of the '`Base External Node Label Edit Part Class Name`' attribute.

  See Also:
    `getBaseExternalNodeLabelEditPartClassName()`
  ** Generated **
  Ordered:

### BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT

  The default value of the '`Base Item Semantic Edit Policy Class Name`' attribute.

  See Also:
    `getBaseItemSemanticEditPolicyClassName()`
  ** Generated **
  Ordered:

### baseItemSemanticEditPolicyClassName

    protected java.lang.String baseItemSemanticEditPolicyClassName

  The cached value of the '`Base Item Semantic Edit Policy Class Name`' attribute.

  See Also:
    `getBaseItemSemanticEditPolicyClassName()`
  ** Generated **
  Ordered:

### BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME_EDEFAULT

  The default value of the '`Base Graphical Node Edit Policy Class Name`' attribute.

  See Also:
    `getBaseGraphicalNodeEditPolicyClassName()`
  ** Generated **
  Ordered:

### baseGraphicalNodeEditPolicyClassName

    protected java.lang.String baseGraphicalNodeEditPolicyClassName

  The cached value of the '`Base Graphical Node Edit Policy Class Name`' attribute.

  See Also:
    `getBaseGraphicalNodeEditPolicyClassName()`
  ** Generated **
  Ordered:

### TEXT_SELECTION_EDIT_POLICY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String TEXT_SELECTION_EDIT_POLICY_CLASS_NAME_EDEFAULT

  The default value of the '`Text Selection Edit Policy Class Name`' attribute.

  See Also:
    `getTextSelectionEditPolicyClassName()`
  ** Generated **
  Ordered:

### textSelectionEditPolicyClassName

    protected java.lang.String textSelectionEditPolicyClassName

  The cached value of the '`Text Selection Edit Policy Class Name`' attribute.

  See Also:
    `getTextSelectionEditPolicyClassName()`
  ** Generated **
  Ordered:

### TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME_EDEFAULT

  The default value of the '`Text Non Resizable Edit Policy Class Name`' attribute.

  See Also:
    `getTextNonResizableEditPolicyClassName()`
  ** Generated **
  Ordered:

### textNonResizableEditPolicyClassName

    protected java.lang.String textNonResizableEditPolicyClassName

  The cached value of the '`Text Non Resizable Edit Policy Class Name`' attribute.

  See Also:
    `getTextNonResizableEditPolicyClassName()`
  ** Generated **
  Ordered:

### CREATION_WIZARD_CLASS_NAME_EDEFAULT

    protected static final java.lang.String CREATION_WIZARD_CLASS_NAME_EDEFAULT

  The default value of the '`Creation Wizard Class Name`' attribute.

  See Also:
    `getCreationWizardClassName()`
  ** Generated **
  Ordered:

### creationWizardClassName

    protected java.lang.String creationWizardClassName

  The cached value of the '`Creation Wizard Class Name`' attribute.

  See Also:
    `getCreationWizardClassName()`
  ** Generated **
  Ordered:

### CREATION_WIZARD_PAGE_CLASS_NAME_EDEFAULT

    protected static final java.lang.String CREATION_WIZARD_PAGE_CLASS_NAME_EDEFAULT

  The default value of the '`Creation Wizard Page Class Name`' attribute.

  See Also:
    `getCreationWizardPageClassName()`
  ** Generated **
  Ordered:

### creationWizardPageClassName

    protected java.lang.String creationWizardPageClassName

  The cached value of the '`Creation Wizard Page Class Name`' attribute.

  See Also:
    `getCreationWizardPageClassName()`
  ** Generated **
  Ordered:

### CREATION_WIZARD_ICON_PATH_EDEFAULT

    protected static final java.lang.String CREATION_WIZARD_ICON_PATH_EDEFAULT

  The default value of the '`Creation Wizard Icon Path`' attribute.

  See Also:
    `getCreationWizardIconPath()`
  ** Generated **
  Ordered:

### creationWizardIconPath

    protected java.lang.String creationWizardIconPath

  The cached value of the '`Creation Wizard Icon Path`' attribute.

  See Also:
    `getCreationWizardIconPath()`
  ** Generated **
  Ordered:

### CREATION_WIZARD_ICON_PATH_X_EDEFAULT

    protected static final java.lang.String CREATION_WIZARD_ICON_PATH_X_EDEFAULT

  The default value of the '`Creation Wizard Icon Path X`' attribute.

  See Also:
    `getCreationWizardIconPathX()`
  ** Generated **
  Ordered:

### CREATION_WIZARD_CATEGORY_ID_EDEFAULT

    protected static final java.lang.String CREATION_WIZARD_CATEGORY_ID_EDEFAULT

  The default value of the '`Creation Wizard Category ID`' attribute.

  See Also:
    `getCreationWizardCategoryID()`
  ** Generated **
  Ordered:

### creationWizardCategoryID

    protected java.lang.String creationWizardCategoryID

  The cached value of the '`Creation Wizard Category ID`' attribute.

  See Also:
    `getCreationWizardCategoryID()`
  ** Generated **
  Ordered:

### DIAGRAM_EDITOR_UTIL_CLASS_NAME_EDEFAULT

    protected static final java.lang.String DIAGRAM_EDITOR_UTIL_CLASS_NAME_EDEFAULT

  The default value of the '`Diagram Editor Util Class Name`' attribute.

  See Also:
    `getDiagramEditorUtilClassName()`
  ** Generated **
  Ordered:

### diagramEditorUtilClassName

    protected java.lang.String diagramEditorUtilClassName

  The cached value of the '`Diagram Editor Util Class Name`' attribute.

  See Also:
    `getDiagramEditorUtilClassName()`
  ** Generated **
  Ordered:

### DOCUMENT_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String DOCUMENT_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Document Provider Class Name`' attribute.

  See Also:
    `getDocumentProviderClassName()`
  ** Generated **
  Ordered:

### documentProviderClassName

    protected java.lang.String documentProviderClassName

  The cached value of the '`Document Provider Class Name`' attribute.

  See Also:
    `getDocumentProviderClassName()`
  ** Generated **
  Ordered:

### INIT_DIAGRAM_FILE_ACTION_CLASS_NAME_EDEFAULT

    protected static final java.lang.String INIT_DIAGRAM_FILE_ACTION_CLASS_NAME_EDEFAULT

  The default value of the '`Init Diagram File Action Class Name`' attribute.

  See Also:
    `getInitDiagramFileActionClassName()`
  ** Generated **
  Ordered:

### initDiagramFileActionClassName

    protected java.lang.String initDiagramFileActionClassName

  The cached value of the '`Init Diagram File Action Class Name`' attribute.

  See Also:
    `getInitDiagramFileActionClassName()`
  ** Generated **
  Ordered:

### NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME_EDEFAULT

    protected static final java.lang.String NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME_EDEFAULT

  The default value of the '`New Diagram File Wizard Class Name`' attribute.

  See Also:
    `getNewDiagramFileWizardClassName()`
  ** Generated **
  Ordered:

### newDiagramFileWizardClassName

    protected java.lang.String newDiagramFileWizardClassName

  The cached value of the '`New Diagram File Wizard Class Name`' attribute.

  See Also:
    `getNewDiagramFileWizardClassName()`
  ** Generated **
  Ordered:

### DIAGRAM_CONTENT_INITIALIZER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String DIAGRAM_CONTENT_INITIALIZER_CLASS_NAME_EDEFAULT

  The default value of the '`Diagram Content Initializer Class Name`' attribute.

  See Also:
    `getDiagramContentInitializerClassName()`
  ** Generated **
  Ordered:

### diagramContentInitializerClassName

    protected java.lang.String diagramContentInitializerClassName

  The cached value of the '`Diagram Content Initializer Class Name`' attribute.

  See Also:
    `getDiagramContentInitializerClassName()`
  ** Generated **
  Ordered:

### MATCHING_STRATEGY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String MATCHING_STRATEGY_CLASS_NAME_EDEFAULT

  The default value of the '`Matching Strategy Class Name`' attribute.

  See Also:
    `getMatchingStrategyClassName()`
  ** Generated **
  Ordered:

### matchingStrategyClassName

    protected java.lang.String matchingStrategyClassName

  The cached value of the '`Matching Strategy Class Name`' attribute.

  See Also:
    `getMatchingStrategyClassName()`
  ** Generated **
  Ordered:

### VISUAL_ID_REGISTRY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String VISUAL_ID_REGISTRY_CLASS_NAME_EDEFAULT

  The default value of the '`Visual ID Registry Class Name`' attribute.

  See Also:
    `getVisualIDRegistryClassName()`
  ** Generated **
  Ordered:

### visualIDRegistryClassName

    protected java.lang.String visualIDRegistryClassName

  The cached value of the '`Visual ID Registry Class Name`' attribute.

  See Also:
    `getVisualIDRegistryClassName()`
  ** Generated **
  Ordered:

### ELEMENT_CHOOSER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String ELEMENT_CHOOSER_CLASS_NAME_EDEFAULT

  The default value of the '`Element Chooser Class Name`' attribute.

  See Also:
    `getElementChooserClassName()`
  ** Generated **
  Ordered:

### elementChooserClassName

    protected java.lang.String elementChooserClassName

  The cached value of the '`Element Chooser Class Name`' attribute.

  See Also:
    `getElementChooserClassName()`
  ** Generated **
  Ordered:

### LOAD_RESOURCE_ACTION_CLASS_NAME_EDEFAULT

    protected static final java.lang.String LOAD_RESOURCE_ACTION_CLASS_NAME_EDEFAULT

  The default value of the '`Load Resource Action Class Name`' attribute.

  See Also:
    `getLoadResourceActionClassName()`
  ** Generated **
  Ordered:

### loadResourceActionClassName

    protected java.lang.String loadResourceActionClassName

  The cached value of the '`Load Resource Action Class Name`' attribute.

  See Also:
    `getLoadResourceActionClassName()`
  ** Generated **
  Ordered:

### EDITING_DOMAIN_ID_EDEFAULT

    protected static final java.lang.String EDITING_DOMAIN_ID_EDEFAULT

  The default value of the '`Editing Domain ID`' attribute.

  See Also:
    `getEditingDomainID()`
  ** Generated **
  Ordered:

### editingDomainID

    protected java.lang.String editingDomainID

  The cached value of the '`Editing Domain ID`' attribute.

  See Also:
    `getEditingDomainID()`
  ** Generated **
  Ordered:

### SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Shortcuts Decorator Provider Class Name`' attribute.

  See Also:
    `getShortcutsDecoratorProviderClassName()`
  ** Generated **
  Ordered:

### shortcutsDecoratorProviderClassName

    protected java.lang.String shortcutsDecoratorProviderClassName

  The cached value of the '`Shortcuts Decorator Provider Class Name`' attribute.

  See Also:
    `getShortcutsDecoratorProviderClassName()`
  ** Generated **
  Ordered:

### SHORTCUTS_DECORATOR_PROVIDER_PRIORITY_EDEFAULT

    protected static final ProviderPriority SHORTCUTS_DECORATOR_PROVIDER_PRIORITY_EDEFAULT

  The default value of the '`Shortcuts Decorator Provider Priority`' attribute.

  See Also:
    `getShortcutsDecoratorProviderPriority()`
  ** Generated **
  Ordered:

### shortcutsDecoratorProviderPriority

    protected ProviderPriority shortcutsDecoratorProviderPriority

  The cached value of the '`Shortcuts Decorator Provider Priority`' attribute.

  See Also:
    `getShortcutsDecoratorProviderPriority()`
  ** Generated **
  Ordered:

### CREATE_SHORTCUT_ACTION_CLASS_NAME_EDEFAULT

    protected static final java.lang.String CREATE_SHORTCUT_ACTION_CLASS_NAME_EDEFAULT

  The default value of the '`Create Shortcut Action Class Name`' attribute.

  See Also:
    `getCreateShortcutActionClassName()`
  ** Generated **
  Ordered:

### createShortcutActionClassName

    protected java.lang.String createShortcutActionClassName

  The cached value of the '`Create Shortcut Action Class Name`' attribute.

  See Also:
    `getCreateShortcutActionClassName()`
  ** Generated **
  Ordered:

### CREATE_SHORTCUT_DECORATIONS_COMMAND_CLASS_NAME_EDEFAULT

    protected static final java.lang.String CREATE_SHORTCUT_DECORATIONS_COMMAND_CLASS_NAME_EDEFAULT

  The default value of the '`Create Shortcut Decorations Command Class Name`' attribute.

  See Also:
    `getCreateShortcutDecorationsCommandClassName()`
  ** Generated **
  Ordered:

### createShortcutDecorationsCommandClassName

    protected java.lang.String createShortcutDecorationsCommandClassName

  The cached value of the '`Create Shortcut Decorations Command Class Name`' attribute.

  See Also:
    `getCreateShortcutDecorationsCommandClassName()`
  ** Generated **
  Ordered:

### SHORTCUT_PROPERTY_TESTER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String SHORTCUT_PROPERTY_TESTER_CLASS_NAME_EDEFAULT

  The default value of the '`Shortcut Property Tester Class Name`' attribute.

  See Also:
    `getShortcutPropertyTesterClassName()`
  ** Generated **
  Ordered:

### shortcutPropertyTesterClassName

    protected java.lang.String shortcutPropertyTesterClassName

  The cached value of the '`Shortcut Property Tester Class Name`' attribute.

  See Also:
    `getShortcutPropertyTesterClassName()`
  ** Generated **
  Ordered:

### containsShortcutsTo

    protected org.eclipse.emf.common.util.EList<java.lang.String> containsShortcutsTo

  The cached value of the '`Contains Shortcuts To`' attribute list.

  See Also:
    `getContainsShortcutsTo()`
  ** Generated **
  Ordered:

### shortcutsProvidedFor

    protected org.eclipse.emf.common.util.EList<java.lang.String> shortcutsProvidedFor

  The cached value of the '`Shortcuts Provided For`' attribute list.

  See Also:
    `getShortcutsProvidedFor()`
  ** Generated **
  Ordered:

### VALIDATION_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String VALIDATION_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Validation Provider Class Name`' attribute.

  See Also:
    `getValidationProviderClassName()`
  ** Generated **
  Ordered:

### validationProviderClassName

    protected java.lang.String validationProviderClassName

  The cached value of the '`Validation Provider Class Name`' attribute.

  See Also:
    `getValidationProviderClassName()`
  ** Generated **
  Ordered:

### VALIDATION_PROVIDER_PRIORITY_EDEFAULT

    protected static final ProviderPriority VALIDATION_PROVIDER_PRIORITY_EDEFAULT

  The default value of the '`Validation Provider Priority`' attribute.

  See Also:
    `getValidationProviderPriority()`
  ** Generated **
  Ordered:

### validationProviderPriority

    protected ProviderPriority validationProviderPriority

  The cached value of the '`Validation Provider Priority`' attribute.

  See Also:
    `getValidationProviderPriority()`
  ** Generated **
  Ordered:

### MARKER_NAVIGATION_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String MARKER_NAVIGATION_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Marker Navigation Provider Class Name`' attribute.

  See Also:
    `getMarkerNavigationProviderClassName()`
  ** Generated **
  Ordered:

### markerNavigationProviderClassName

    protected java.lang.String markerNavigationProviderClassName

  The cached value of the '`Marker Navigation Provider Class Name`' attribute.

  See Also:
    `getMarkerNavigationProviderClassName()`
  ** Generated **
  Ordered:

### MARKER_NAVIGATION_PROVIDER_PRIORITY_EDEFAULT

    protected static final ProviderPriority MARKER_NAVIGATION_PROVIDER_PRIORITY_EDEFAULT

  The default value of the '`Marker Navigation Provider Priority`' attribute.

  See Also:
    `getMarkerNavigationProviderPriority()`
  ** Generated **
  Ordered:

### markerNavigationProviderPriority

    protected ProviderPriority markerNavigationProviderPriority

  The cached value of the '`Marker Navigation Provider Priority`' attribute.

  See Also:
    `getMarkerNavigationProviderPriority()`
  ** Generated **
  Ordered:

### VALIDATION_ENABLED_EDEFAULT

    protected static final boolean VALIDATION_ENABLED_EDEFAULT

  The default value of the '`Validation Enabled`' attribute.

  See Also:
    `isValidationEnabled()`, Constant Field Values
  ** Generated **
  Ordered:

### validationEnabled

    protected boolean validationEnabled

  The cached value of the '`Validation Enabled`' attribute.

  See Also:
    `isValidationEnabled()`
  ** Generated **
  Ordered:

### METRIC_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String METRIC_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Metric Provider Class Name`' attribute.

  See Also:
    `getMetricProviderClassName()`
  ** Generated **
  Ordered:

### metricProviderClassName

    protected java.lang.String metricProviderClassName

  The cached value of the '`Metric Provider Class Name`' attribute.

  See Also:
    `getMetricProviderClassName()`
  ** Generated **
  Ordered:

### METRIC_PROVIDER_PRIORITY_EDEFAULT

    protected static final ProviderPriority METRIC_PROVIDER_PRIORITY_EDEFAULT

  The default value of the '`Metric Provider Priority`' attribute.

  See Also:
    `getMetricProviderPriority()`
  ** Generated **
  Ordered:

### metricProviderPriority

    protected ProviderPriority metricProviderPriority

  The cached value of the '`Metric Provider Priority`' attribute.

  See Also:
    `getMetricProviderPriority()`
  ** Generated **
  Ordered:

### VALIDATION_DECORATOR_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String VALIDATION_DECORATOR_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Validation Decorator Provider Class Name`' attribute.

  See Also:
    `getValidationDecoratorProviderClassName()`
  ** Generated **
  Ordered:

### validationDecoratorProviderClassName

    protected java.lang.String validationDecoratorProviderClassName

  The cached value of the '`Validation Decorator Provider Class Name`' attribute.

  See Also:
    `getValidationDecoratorProviderClassName()`
  ** Generated **
  Ordered:

### VALIDATION_DECORATORS_EDEFAULT

    protected static final boolean VALIDATION_DECORATORS_EDEFAULT

  The default value of the '`Validation Decorators`' attribute.

  See Also:
    `isValidationDecorators()`, Constant Field Values
  ** Generated **
  Ordered:

### validationDecorators

    protected boolean validationDecorators

  The cached value of the '`Validation Decorators`' attribute.

  See Also:
    `isValidationDecorators()`
  ** Generated **
  Ordered:

### VALIDATION_DECORATOR_PROVIDER_PRIORITY_EDEFAULT

    protected static final ProviderPriority VALIDATION_DECORATOR_PROVIDER_PRIORITY_EDEFAULT

  The default value of the '`Validation Decorator Provider Priority`' attribute.

  See Also:
    `getValidationDecoratorProviderPriority()`
  ** Generated **
  Ordered:

### validationDecoratorProviderPriority

    protected ProviderPriority validationDecoratorProviderPriority

  The cached value of the '`Validation Decorator Provider Priority`' attribute.

  See Also:
    `getValidationDecoratorProviderPriority()`
  ** Generated **
  Ordered:

### LIVE_VALIDATION_UI_FEEDBACK_EDEFAULT

    protected static final boolean LIVE_VALIDATION_UI_FEEDBACK_EDEFAULT

  The default value of the '`Live Validation UI Feedback`' attribute.

  See Also:
    `isLiveValidationUIFeedback()`, Constant Field Values
  ** Generated **
  Ordered:

### liveValidationUIFeedback

    protected boolean liveValidationUIFeedback

  The cached value of the '`Live Validation UI Feedback`' attribute.

  See Also:
    `isLiveValidationUIFeedback()`
  ** Generated **
  Ordered:

### UNITS_EDEFAULT

    protected static final java.lang.String UNITS_EDEFAULT

  The default value of the '`Units`' attribute.

  See Also:
    `getUnits()`, Constant Field Values
  ** Generated **
  Ordered:

### units

    protected java.lang.String units

  The cached value of the '`Units`' attribute.

  See Also:
    `getUnits()`
  ** Generated **
  Ordered:

### domainDiagramElement

    protected org.eclipse.emf.codegen.ecore.genmodel.GenClass domainDiagramElement

  The cached value of the '`Domain Diagram Element`' reference.

  See Also:
    `getDomainDiagramElement()`
  ** Generated **
  Ordered:

### childNodes

    protected org.eclipse.emf.common.util.EList<GenChildNode> childNodes

  The cached value of the '`Child Nodes`' containment reference list.

  See Also:
    `getChildNodes()`
  ** Generated **
  Ordered:

### topLevelNodes

    protected org.eclipse.emf.common.util.EList<GenTopLevelNode> topLevelNodes

  The cached value of the '`Top Level Nodes`' containment reference list.

  See Also:
    `getTopLevelNodes()`
  ** Generated **
  Ordered:

### links

    protected org.eclipse.emf.common.util.EList<GenLink> links

  The cached value of the '`Links`' containment reference list.

  See Also:
    `getLinks()`
  ** Generated **
  Ordered:

### compartments

    protected org.eclipse.emf.common.util.EList<GenCompartment> compartments

  The cached value of the '`Compartments`' containment reference list.

  See Also:
    `getCompartments()`
  ** Generated **
  Ordered:

### palette

    protected Palette palette

  The cached value of the '`Palette`' containment reference.

  See Also:
    `getPalette()`
  ** Generated **
  Ordered:

### SYNCHRONIZED_EDEFAULT

    protected static final boolean SYNCHRONIZED_EDEFAULT

  The default value of the '`Synchronized`' attribute.

  See Also:
    `isSynchronized()`, Constant Field Values
  ** Generated **
  Ordered:

### synchronized_

    protected boolean synchronized_

  The cached value of the '`Synchronized`' attribute.

  See Also:
    `isSynchronized()`
  ** Generated **
  Ordered:

### preferences

    protected GenDiagramPreferences preferences

  The cached value of the '`Preferences`' containment reference.

  See Also:
    `getPreferences()`
  ** Generated **
  Ordered:

### preferencePages

    protected org.eclipse.emf.common.util.EList<GenPreferencePage> preferencePages

  The cached value of the '`Preference Pages`' containment reference list.

  See Also:
    `getPreferencePages()`
  ** Generated **
  Ordered:

Constructor Detail

### GenDiagramImpl

    protected GenDiagramImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenCommonBaseImpl`
  ** Generated **

### getContainedNodes

    public org.eclipse.emf.common.util.EList<GenNode> getContainedNodes()

  Specified by:
    `getContainedNodes` in interface `GenContainerBase`
  Returns:
    the value of the 'Contained Nodes' reference list.
  See Also:
    `GMFGenPackage.getGenContainerBase_ContainedNodes()`
  ** Generated **
    NOT

### getDomainDiagramElement

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass getDomainDiagramElement()

  Specified by:
    `getDomainDiagramElement` in interface `GenDiagram`
  Returns:
    the value of the 'Domain Diagram Element' reference.
  See Also:
    `GenDiagram.setDomainDiagramElement(GenClass)`, `GMFGenPackage.getGenDiagram_DomainDiagramElement()`
  ** Generated **

### basicGetDomainDiagramElement

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass basicGetDomainDiagramElement()

  ** Generated **

### setDomainDiagramElement

    public void setDomainDiagramElement(org.eclipse.emf.codegen.ecore.genmodel.GenClass newDomainDiagramElement)

  Specified by:
    `setDomainDiagramElement` in interface `GenDiagram`
  Parameters:
    `newDomainDiagramElement` - the new value of the 'Domain Diagram Element' reference.
  See Also:
    `GenDiagram.getDomainDiagramElement()`
  ** Generated **

### getChildNodes

    public org.eclipse.emf.common.util.EList<GenChildNode> getChildNodes()

  Specified by:
    `getChildNodes` in interface `GenDiagram`
  Returns:
    the value of the 'Child Nodes' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_ChildNodes()`, `GenChildNode.getDiagram()`
  ** Generated **

### getTopLevelNodes

    public org.eclipse.emf.common.util.EList<GenTopLevelNode> getTopLevelNodes()

  Specified by:
    `getTopLevelNodes` in interface `GenDiagram`
  Returns:
    the value of the 'Top Level Nodes' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_TopLevelNodes()`, `GenTopLevelNode.getDiagram()`
  ** Generated **

### getLinks

    public org.eclipse.emf.common.util.EList<GenLink> getLinks()

  Specified by:
    `getLinks` in interface `GenDiagram`
  Returns:
    the value of the 'Links' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_Links()`, `GenLink.getDiagram()`
  ** Generated **

### getCompartments

    public org.eclipse.emf.common.util.EList<GenCompartment> getCompartments()

  Specified by:
    `getCompartments` in interface `GenDiagram`
  Returns:
    the value of the 'Compartments' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_Compartments()`, `GenCompartment.getDiagram()`
  ** Generated **

### getPalette

    public Palette getPalette()

  Specified by:
    `getPalette` in interface `GenDiagram`
  Returns:
    the value of the 'Palette' containment reference.
  See Also:
    `GenDiagram.setPalette(Palette)`, `GMFGenPackage.getGenDiagram_Palette()`, `Palette.getDiagram()`
  ** Generated **

### basicSetPalette

    public org.eclipse.emf.common.notify.NotificationChain basicSetPalette(Palette newPalette,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setPalette

    public void setPalette(Palette newPalette)

  Specified by:
    `setPalette` in interface `GenDiagram`
  Parameters:
    `newPalette` - the new value of the 'Palette' containment reference.
  See Also:
    `GenDiagram.getPalette()`
  ** Generated **

### isSynchronized

    public boolean isSynchronized()

  Specified by:
    `isSynchronized` in interface `GenDiagram`
  Returns:
    the value of the 'Synchronized' attribute.
  See Also:
    `GenDiagram.setSynchronized(boolean)`, `GMFGenPackage.getGenDiagram_Synchronized()`
  ** Generated **

### setSynchronized

    public void setSynchronized(boolean newSynchronized)

  Specified by:
    `setSynchronized` in interface `GenDiagram`
  Parameters:
    `newSynchronized` - the new value of the 'Synchronized' attribute.
  See Also:
    `GenDiagram.isSynchronized()`
  ** Generated **

### getPreferences

    public GenDiagramPreferences getPreferences()

  Specified by:
    `getPreferences` in interface `GenDiagram`
  Returns:
    the value of the 'Preferences' containment reference.
  See Also:
    `GenDiagram.setPreferences(GenDiagramPreferences)`, `GMFGenPackage.getGenDiagram_Preferences()`
  ** Generated **

### basicSetPreferences

    public org.eclipse.emf.common.notify.NotificationChain basicSetPreferences(GenDiagramPreferences newPreferences,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setPreferences

    public void setPreferences(GenDiagramPreferences newPreferences)

  Specified by:
    `setPreferences` in interface `GenDiagram`
  Parameters:
    `newPreferences` - the new value of the 'Preferences' containment reference.
  See Also:
    `GenDiagram.getPreferences()`
  ** Generated **

### getPreferencePages

    public org.eclipse.emf.common.util.EList<GenPreferencePage> getPreferencePages()

  Specified by:
    `getPreferencePages` in interface `GenDiagram`
  Returns:
    the value of the 'Preference Pages' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_PreferencePages()`
  ** Generated **

### getEditCommandsPackageNameGen

    public java.lang.String getEditCommandsPackageNameGen()

  ** Generated **

### getEditCommandsPackageName

    public java.lang.String getEditCommandsPackageName()

  Description copied from interface: `PackageNames`
  Returns the value of the 'Edit Commands Package Name' attribute.

  If the meaning of the 'Edit Commands Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getEditCommandsPackageName` in interface `PackageNames`
  Returns:
    the value of the 'Edit Commands Package Name' attribute.
  See Also:
    `PackageNames.setEditCommandsPackageName(String)`, `GMFGenPackage.getPackageNames_EditCommandsPackageName()`

### setEditCommandsPackageName

    public void setEditCommandsPackageName(java.lang.String newEditCommandsPackageName)

  Specified by:
    `setEditCommandsPackageName` in interface `PackageNames`
  Parameters:
    `newEditCommandsPackageName` - the new value of the 'Edit Commands Package Name' attribute.
  See Also:
    `PackageNames.getEditCommandsPackageName()`
  ** Generated **

### getEditHelpersPackageNameGen

    public java.lang.String getEditHelpersPackageNameGen()

  ** Generated **

### getEditHelpersPackageName

    public java.lang.String getEditHelpersPackageName()

  Description copied from interface: `PackageNames`
  Returns the value of the 'Edit Helpers Package Name' attribute.

  If the meaning of the 'Edit Helpers Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getEditHelpersPackageName` in interface `PackageNames`
  Returns:
    the value of the 'Edit Helpers Package Name' attribute.
  See Also:
    `PackageNames.setEditHelpersPackageName(String)`, `GMFGenPackage.getPackageNames_EditHelpersPackageName()`

### setEditHelpersPackageName

    public void setEditHelpersPackageName(java.lang.String newEditHelpersPackageName)

  Specified by:
    `setEditHelpersPackageName` in interface `PackageNames`
  Parameters:
    `newEditHelpersPackageName` - the new value of the 'Edit Helpers Package Name' attribute.
  See Also:
    `PackageNames.getEditHelpersPackageName()`
  ** Generated **

### getEditPartsPackageNameGen

    public java.lang.String getEditPartsPackageNameGen()

  ** Generated **

### getEditPartsPackageName

    public java.lang.String getEditPartsPackageName()

  Description copied from interface: `PackageNames`
  Returns the value of the 'Edit Parts Package Name' attribute.

  If the meaning of the 'Edit Parts Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getEditPartsPackageName` in interface `PackageNames`
  Returns:
    the value of the 'Edit Parts Package Name' attribute.
  See Also:
    `PackageNames.setEditPartsPackageName(String)`, `GMFGenPackage.getPackageNames_EditPartsPackageName()`

### setEditPartsPackageName

    public void setEditPartsPackageName(java.lang.String newEditPartsPackageName)

  Specified by:
    `setEditPartsPackageName` in interface `PackageNames`
  Parameters:
    `newEditPartsPackageName` - the new value of the 'Edit Parts Package Name' attribute.
  See Also:
    `PackageNames.getEditPartsPackageName()`
  ** Generated **

### getEditPoliciesPackageNameGen

    public java.lang.String getEditPoliciesPackageNameGen()

  ** Generated **

### getEditPoliciesPackageName

    public java.lang.String getEditPoliciesPackageName()

  Description copied from interface: `PackageNames`
  Returns the value of the 'Edit Policies Package Name' attribute.

  If the meaning of the 'Edit Policies Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getEditPoliciesPackageName` in interface `PackageNames`
  Returns:
    the value of the 'Edit Policies Package Name' attribute.
  See Also:
    `PackageNames.setEditPoliciesPackageName(String)`, `GMFGenPackage.getPackageNames_EditPoliciesPackageName()`

### setEditPoliciesPackageName

    public void setEditPoliciesPackageName(java.lang.String newEditPoliciesPackageName)

  Specified by:
    `setEditPoliciesPackageName` in interface `PackageNames`
  Parameters:
    `newEditPoliciesPackageName` - the new value of the 'Edit Policies Package Name' attribute.
  See Also:
    `PackageNames.getEditPoliciesPackageName()`
  ** Generated **

### getPreferencesPackageNameGen

    public java.lang.String getPreferencesPackageNameGen()

  ** Generated **

### getPreferencesPackageName

    public java.lang.String getPreferencesPackageName()

  Description copied from interface: `PackageNames`
  Returns the value of the 'Preferences Package Name' attribute.

  If the meaning of the 'Preferences Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getPreferencesPackageName` in interface `PackageNames`
  Returns:
    the value of the 'Preferences Package Name' attribute.
  See Also:
    `PackageNames.setPreferencesPackageName(String)`, `GMFGenPackage.getPackageNames_PreferencesPackageName()`

### setPreferencesPackageName

    public void setPreferencesPackageName(java.lang.String newPreferencesPackageName)

  Specified by:
    `setPreferencesPackageName` in interface `PackageNames`
  Parameters:
    `newPreferencesPackageName` - the new value of the 'Preferences Package Name' attribute.
  See Also:
    `PackageNames.getPreferencesPackageName()`
  ** Generated **

### getClassNamePrefix

    public java.lang.String getClassNamePrefix()

  Description copied from class: `GenCommonBaseImpl`

  Specified by:
    `getClassNamePrefix` in interface `GenCommonBase`
  Specified by:
    `getClassNamePrefix` in class `GenCommonBaseImpl`

### getDiagram

    public GenDiagram getDiagram()

  Description copied from class: `GenCommonBaseImpl`

  Specified by:
    `getDiagram` in interface `GenCommonBase`
  Specified by:
    `getDiagram` in class `GenCommonBaseImpl`

### getVisualIDRegistryClassNameGen

    public java.lang.String getVisualIDRegistryClassNameGen()

  ** Generated **

### getVisualIDRegistryClassName

    public java.lang.String getVisualIDRegistryClassName()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Visual ID Registry Class Name' attribute.

  If the meaning of the 'Visual ID Registry Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getVisualIDRegistryClassName` in interface `EditorCandies`
  Returns:
    the value of the 'Visual ID Registry Class Name' attribute.
  See Also:
    `EditorCandies.setVisualIDRegistryClassName(String)`, `GMFGenPackage.getEditorCandies_VisualIDRegistryClassName()`

### setVisualIDRegistryClassName

    public void setVisualIDRegistryClassName(java.lang.String newVisualIDRegistryClassName)

  Specified by:
    `setVisualIDRegistryClassName` in interface `EditorCandies`
  Parameters:
    `newVisualIDRegistryClassName` - the new value of the 'Visual ID Registry Class Name' attribute.
  See Also:
    `EditorCandies.getVisualIDRegistryClassName()`
  ** Generated **

### getCreateShortcutActionClassNameGen

    public java.lang.String getCreateShortcutActionClassNameGen()

  ** Generated **

### getCreateShortcutActionClassName

    public java.lang.String getCreateShortcutActionClassName()

  Description copied from interface: `Shortcuts`
  Returns the value of the 'Create Shortcut Action Class Name' attribute.

  If the meaning of the 'Create Shortcut Action Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCreateShortcutActionClassName` in interface `Shortcuts`
  Returns:
    the value of the 'Create Shortcut Action Class Name' attribute.
  See Also:
    `Shortcuts.setCreateShortcutActionClassName(String)`, `GMFGenPackage.getShortcuts_CreateShortcutActionClassName()`

### setCreateShortcutActionClassName

    public void setCreateShortcutActionClassName(java.lang.String newCreateShortcutActionClassName)

  Specified by:
    `setCreateShortcutActionClassName` in interface `Shortcuts`
  Parameters:
    `newCreateShortcutActionClassName` - the new value of the 'Create Shortcut Action Class Name' attribute.
  See Also:
    `Shortcuts.getCreateShortcutActionClassName()`
  ** Generated **

### getCreateShortcutDecorationsCommandClassNameGen

    public java.lang.String getCreateShortcutDecorationsCommandClassNameGen()

  ** Generated **

### getCreateShortcutDecorationsCommandClassName

    public java.lang.String getCreateShortcutDecorationsCommandClassName()

  Description copied from interface: `Shortcuts`
  Returns the value of the 'Create Shortcut Decorations Command Class Name' attribute.

  If the meaning of the 'Create Shortcut Decorations Command Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCreateShortcutDecorationsCommandClassName` in interface `Shortcuts`
  Returns:
    the value of the 'Create Shortcut Decorations Command Class Name' attribute.
  See Also:
    `Shortcuts.setCreateShortcutDecorationsCommandClassName(String)`, `GMFGenPackage.getShortcuts_CreateShortcutDecorationsCommandClassName()`

### setCreateShortcutDecorationsCommandClassName

    public void setCreateShortcutDecorationsCommandClassName(java.lang.String newCreateShortcutDecorationsCommandClassName)

  Specified by:
    `setCreateShortcutDecorationsCommandClassName` in interface `Shortcuts`
  Parameters:
    `newCreateShortcutDecorationsCommandClassName` - the new value of the 'Create Shortcut Decorations Command Class Name' attribute.
  See Also:
    `Shortcuts.getCreateShortcutDecorationsCommandClassName()`
  ** Generated **

### getShortcutPropertyTesterClassNameGen

    public java.lang.String getShortcutPropertyTesterClassNameGen()

  ** Generated **

### getShortcutPropertyTesterClassName

    public java.lang.String getShortcutPropertyTesterClassName()

  Description copied from interface: `Shortcuts`
  Returns the value of the 'Shortcut Property Tester Class Name' attribute.

  If the meaning of the 'Shortcut Property Tester Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getShortcutPropertyTesterClassName` in interface `Shortcuts`
  Returns:
    the value of the 'Shortcut Property Tester Class Name' attribute.
  See Also:
    `Shortcuts.setShortcutPropertyTesterClassName(String)`, `GMFGenPackage.getShortcuts_ShortcutPropertyTesterClassName()`

### setShortcutPropertyTesterClassName

    public void setShortcutPropertyTesterClassName(java.lang.String newShortcutPropertyTesterClassName)

  Specified by:
    `setShortcutPropertyTesterClassName` in interface `Shortcuts`
  Parameters:
    `newShortcutPropertyTesterClassName` - the new value of the 'Shortcut Property Tester Class Name' attribute.
  See Also:
    `Shortcuts.getShortcutPropertyTesterClassName()`
  ** Generated **

### getElementChooserClassNameGen

    public java.lang.String getElementChooserClassNameGen()

  ** Generated **

### getElementChooserClassName

    public java.lang.String getElementChooserClassName()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Element Chooser Class Name' attribute.

  If the meaning of the 'Element Chooser Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getElementChooserClassName` in interface `EditorCandies`
  Returns:
    the value of the 'Element Chooser Class Name' attribute.
  See Also:
    `EditorCandies.setElementChooserClassName(String)`, `GMFGenPackage.getEditorCandies_ElementChooserClassName()`

### setElementChooserClassName

    public void setElementChooserClassName(java.lang.String newElementChooserClassName)

  Specified by:
    `setElementChooserClassName` in interface `EditorCandies`
  Parameters:
    `newElementChooserClassName` - the new value of the 'Element Chooser Class Name' attribute.
  See Also:
    `EditorCandies.getElementChooserClassName()`
  ** Generated **

### getLoadResourceActionClassNameGen

    public java.lang.String getLoadResourceActionClassNameGen()

  ** Generated **

### getLoadResourceActionClassName

    public java.lang.String getLoadResourceActionClassName()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Load Resource Action Class Name' attribute.

  If the meaning of the 'Load Resource Action Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getLoadResourceActionClassName` in interface `EditorCandies`
  Returns:
    the value of the 'Load Resource Action Class Name' attribute.
  See Also:
    `EditorCandies.setLoadResourceActionClassName(String)`, `GMFGenPackage.getEditorCandies_LoadResourceActionClassName()`

### setLoadResourceActionClassName

    public void setLoadResourceActionClassName(java.lang.String newLoadResourceActionClassName)

  Specified by:
    `setLoadResourceActionClassName` in interface `EditorCandies`
  Parameters:
    `newLoadResourceActionClassName` - the new value of the 'Load Resource Action Class Name' attribute.
  See Also:
    `EditorCandies.getLoadResourceActionClassName()`
  ** Generated **

### getEditingDomainIDGen

    public java.lang.String getEditingDomainIDGen()

  ** Generated **

### getEditingDomainID

    public java.lang.String getEditingDomainID()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Editing Domain ID' attribute.

  If the meaning of the 'Editing Domain ID' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getEditingDomainID` in interface `EditorCandies`
  Returns:
    the value of the 'Editing Domain ID' attribute.
  See Also:
    `EditorCandies.setEditingDomainID(String)`, `GMFGenPackage.getEditorCandies_EditingDomainID()`

### setEditingDomainID

    public void setEditingDomainID(java.lang.String newEditingDomainID)

  Specified by:
    `setEditingDomainID` in interface `EditorCandies`
  Parameters:
    `newEditingDomainID` - the new value of the 'Editing Domain ID' attribute.
  See Also:
    `EditorCandies.getEditingDomainID()`
  ** Generated **

### getShortcutsDecoratorProviderClassNameGen

    public java.lang.String getShortcutsDecoratorProviderClassNameGen()

  ** Generated **

### getShortcutsDecoratorProviderClassName

    public java.lang.String getShortcutsDecoratorProviderClassName()

  Description copied from interface: `Shortcuts`
  Returns the value of the 'Shortcuts Decorator Provider Class Name' attribute.

  If the meaning of the 'Shortcuts Decorator Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getShortcutsDecoratorProviderClassName` in interface `Shortcuts`
  Returns:
    the value of the 'Shortcuts Decorator Provider Class Name' attribute.
  See Also:
    `Shortcuts.setShortcutsDecoratorProviderClassName(String)`, `GMFGenPackage.getShortcuts_ShortcutsDecoratorProviderClassName()`

### setShortcutsDecoratorProviderClassName

    public void setShortcutsDecoratorProviderClassName(java.lang.String newShortcutsDecoratorProviderClassName)

  Specified by:
    `setShortcutsDecoratorProviderClassName` in interface `Shortcuts`
  Parameters:
    `newShortcutsDecoratorProviderClassName` - the new value of the 'Shortcuts Decorator Provider Class Name' attribute.
  See Also:
    `Shortcuts.getShortcutsDecoratorProviderClassName()`
  ** Generated **

### getShortcutsDecoratorProviderPriority

    public ProviderPriority getShortcutsDecoratorProviderPriority()

  Specified by:
    `getShortcutsDecoratorProviderPriority` in interface `Shortcuts`
  Returns:
    the value of the 'Shortcuts Decorator Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `Shortcuts.setShortcutsDecoratorProviderPriority(ProviderPriority)`, `GMFGenPackage.getShortcuts_ShortcutsDecoratorProviderPriority()`
  ** Generated **

### setShortcutsDecoratorProviderPriority

    public void setShortcutsDecoratorProviderPriority(ProviderPriority newShortcutsDecoratorProviderPriority)

  Specified by:
    `setShortcutsDecoratorProviderPriority` in interface `Shortcuts`
  Parameters:
    `newShortcutsDecoratorProviderPriority` - the new value of the 'Shortcuts Decorator Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `Shortcuts.getShortcutsDecoratorProviderPriority()`
  ** Generated **

### getValidationProviderClassNameGen

    public java.lang.String getValidationProviderClassNameGen()

  ** Generated **

### getValidationProviderClassName

    public java.lang.String getValidationProviderClassName()

  Specified by:
    `getValidationProviderClassName` in interface `BatchValidation`
  Returns:
    the value of the 'Validation Provider Class Name' attribute.
  See Also:
    `BatchValidation.setValidationProviderClassName(String)`, `GMFGenPackage.getBatchValidation_ValidationProviderClassName()`
  ** Generated **
    NOT

### setValidationProviderClassName

    public void setValidationProviderClassName(java.lang.String newValidationProviderClassName)

  Specified by:
    `setValidationProviderClassName` in interface `BatchValidation`
  Parameters:
    `newValidationProviderClassName` - the new value of the 'Validation Provider Class Name' attribute.
  See Also:
    `BatchValidation.getValidationProviderClassName()`
  ** Generated **

### getValidationProviderPriority

    public ProviderPriority getValidationProviderPriority()

  Specified by:
    `getValidationProviderPriority` in interface `BatchValidation`
  Returns:
    the value of the 'Validation Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `BatchValidation.setValidationProviderPriority(ProviderPriority)`, `GMFGenPackage.getBatchValidation_ValidationProviderPriority()`
  ** Generated **

### setValidationProviderPriority

    public void setValidationProviderPriority(ProviderPriority newValidationProviderPriority)

  Specified by:
    `setValidationProviderPriority` in interface `BatchValidation`
  Parameters:
    `newValidationProviderPriority` - the new value of the 'Validation Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `BatchValidation.getValidationProviderPriority()`
  ** Generated **

### getMarkerNavigationProviderClassNameGen

    public java.lang.String getMarkerNavigationProviderClassNameGen()

  ** Generated **

### getMarkerNavigationProviderClassName

    public java.lang.String getMarkerNavigationProviderClassName()

  Specified by:
    `getMarkerNavigationProviderClassName` in interface `BatchValidation`
  Returns:
    the value of the 'Marker Navigation Provider Class Name' attribute.
  See Also:
    `BatchValidation.setMarkerNavigationProviderClassName(String)`, `GMFGenPackage.getBatchValidation_MarkerNavigationProviderClassName()`
  ** Generated **
    NOT

### getMarkerNavigationProviderQualifiedClassName

    public java.lang.String getMarkerNavigationProviderQualifiedClassName()

  Specified by:
    `getMarkerNavigationProviderQualifiedClassName` in interface `BatchValidation`
  ** Generated **
    NOT

### getMetricProviderQualifiedClassName

    public java.lang.String getMetricProviderQualifiedClassName()

  Specified by:
    `getMetricProviderQualifiedClassName` in interface `BatchValidation`
  ** Generated **
    NOT

### getMetricViewID

    public java.lang.String getMetricViewID()

  Specified by:
    `getMetricViewID` in interface `BatchValidation`
  ** Generated **
    NOT

### getValidationDecoratorProviderQualifiedClassName

    public java.lang.String getValidationDecoratorProviderQualifiedClassName()

  Specified by:
    `getValidationDecoratorProviderQualifiedClassName` in interface `BatchValidation`
  ** Generated **
    NOT

### getContainsShortcutsTo

    public org.eclipse.emf.common.util.EList<java.lang.String> getContainsShortcutsTo()

  Specified by:
    `getContainsShortcutsTo` in interface `Shortcuts`
  Returns:
    the value of the 'Contains Shortcuts To' attribute list.
  See Also:
    `GMFGenPackage.getShortcuts_ContainsShortcutsTo()`
  ** Generated **

### getShortcutsProvidedFor

    public org.eclipse.emf.common.util.EList<java.lang.String> getShortcutsProvidedFor()

  Specified by:
    `getShortcutsProvidedFor` in interface `Shortcuts`
  Returns:
    the value of the 'Shortcuts Provided For' attribute list.
  See Also:
    `GMFGenPackage.getShortcuts_ShortcutsProvidedFor()`
  ** Generated **

### isValidationEnabled

    public boolean isValidationEnabled()

  Specified by:
    `isValidationEnabled` in interface `BatchValidation`
  Returns:
    the value of the 'Validation Enabled' attribute.
  See Also:
    `BatchValidation.setValidationEnabled(boolean)`, `GMFGenPackage.getBatchValidation_ValidationEnabled()`
  ** Generated **

### setValidationEnabled

    public void setValidationEnabled(boolean newValidationEnabled)

  Specified by:
    `setValidationEnabled` in interface `BatchValidation`
  Parameters:
    `newValidationEnabled` - the new value of the 'Validation Enabled' attribute.
  See Also:
    `BatchValidation.isValidationEnabled()`
  ** Generated **

### getMetricProviderClassNameGen

    public java.lang.String getMetricProviderClassNameGen()

  ** Generated **

### getMetricProviderClassName

    public java.lang.String getMetricProviderClassName()

  Specified by:
    `getMetricProviderClassName` in interface `BatchValidation`
  Returns:
    the value of the 'Metric Provider Class Name' attribute.
  See Also:
    `BatchValidation.setMetricProviderClassName(String)`, `GMFGenPackage.getBatchValidation_MetricProviderClassName()`
  ** Generated **
    NOT

### setMetricProviderClassName

    public void setMetricProviderClassName(java.lang.String newMetricProviderClassName)

  Specified by:
    `setMetricProviderClassName` in interface `BatchValidation`
  Parameters:
    `newMetricProviderClassName` - the new value of the 'Metric Provider Class Name' attribute.
  See Also:
    `BatchValidation.getMetricProviderClassName()`
  ** Generated **

### getMetricProviderPriority

    public ProviderPriority getMetricProviderPriority()

  Specified by:
    `getMetricProviderPriority` in interface `BatchValidation`
  Returns:
    the value of the 'Metric Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `BatchValidation.setMetricProviderPriority(ProviderPriority)`, `GMFGenPackage.getBatchValidation_MetricProviderPriority()`
  ** Generated **

### setMetricProviderPriority

    public void setMetricProviderPriority(ProviderPriority newMetricProviderPriority)

  Specified by:
    `setMetricProviderPriority` in interface `BatchValidation`
  Parameters:
    `newMetricProviderPriority` - the new value of the 'Metric Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `BatchValidation.getMetricProviderPriority()`
  ** Generated **

### getValidationDecoratorProviderClassNameGen

    public java.lang.String getValidationDecoratorProviderClassNameGen()

  ** Generated **

### getValidationDecoratorProviderClassName

    public java.lang.String getValidationDecoratorProviderClassName()

  Specified by:
    `getValidationDecoratorProviderClassName` in interface `BatchValidation`
  Returns:
    the value of the 'Validation Decorator Provider Class Name' attribute.
  See Also:
    `BatchValidation.setValidationDecoratorProviderClassName(String)`, `GMFGenPackage.getBatchValidation_ValidationDecoratorProviderClassName()`
  ** Generated **
    NOT

### setValidationDecoratorProviderClassName

    public void setValidationDecoratorProviderClassName(java.lang.String newValidationDecoratorProviderClassName)

  Specified by:
    `setValidationDecoratorProviderClassName` in interface `BatchValidation`
  Parameters:
    `newValidationDecoratorProviderClassName` - the new value of the 'Validation Decorator Provider Class Name' attribute.
  See Also:
    `BatchValidation.getValidationDecoratorProviderClassName()`
  ** Generated **

### isValidationDecorators

    public boolean isValidationDecorators()

  Specified by:
    `isValidationDecorators` in interface `BatchValidation`
  Returns:
    the value of the 'Validation Decorators' attribute.
  See Also:
    `BatchValidation.setValidationDecorators(boolean)`, `GMFGenPackage.getBatchValidation_ValidationDecorators()`
  ** Generated **

### setValidationDecorators

    public void setValidationDecorators(boolean newValidationDecorators)

  Specified by:
    `setValidationDecorators` in interface `BatchValidation`
  Parameters:
    `newValidationDecorators` - the new value of the 'Validation Decorators' attribute.
  See Also:
    `BatchValidation.isValidationDecorators()`
  ** Generated **

### getValidationDecoratorProviderPriority

    public ProviderPriority getValidationDecoratorProviderPriority()

  Specified by:
    `getValidationDecoratorProviderPriority` in interface `BatchValidation`
  Returns:
    the value of the 'Validation Decorator Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `BatchValidation.setValidationDecoratorProviderPriority(ProviderPriority)`, `GMFGenPackage.getBatchValidation_ValidationDecoratorProviderPriority()`
  ** Generated **

### setValidationDecoratorProviderPriority

    public void setValidationDecoratorProviderPriority(ProviderPriority newValidationDecoratorProviderPriority)

  Specified by:
    `setValidationDecoratorProviderPriority` in interface `BatchValidation`
  Parameters:
    `newValidationDecoratorProviderPriority` - the new value of the 'Validation Decorator Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `BatchValidation.getValidationDecoratorProviderPriority()`
  ** Generated **

### isLiveValidationUIFeedback

    public boolean isLiveValidationUIFeedback()

  Specified by:
    `isLiveValidationUIFeedback` in interface `BatchValidation`
  Returns:
    the value of the 'Live Validation UI Feedback' attribute.
  See Also:
    `BatchValidation.setLiveValidationUIFeedback(boolean)`, `GMFGenPackage.getBatchValidation_LiveValidationUIFeedback()`
  ** Generated **

### setLiveValidationUIFeedback

    public void setLiveValidationUIFeedback(boolean newLiveValidationUIFeedback)

  Specified by:
    `setLiveValidationUIFeedback` in interface `BatchValidation`
  Parameters:
    `newLiveValidationUIFeedback` - the new value of the 'Live Validation UI Feedback' attribute.
  See Also:
    `BatchValidation.isLiveValidationUIFeedback()`
  ** Generated **

### getUnits

    public java.lang.String getUnits()

  Specified by:
    `getUnits` in interface `MeasurementUnit`
  Returns:
    the value of the 'Units' attribute.
  See Also:
    `MeasurementUnit.setUnits(String)`, `GMFGenPackage.getMeasurementUnit_Units()`
  ** Generated **

### setUnits

    public void setUnits(java.lang.String newUnits)

  Specified by:
    `setUnits` in interface `MeasurementUnit`
  Parameters:
    `newUnits` - the new value of the 'Units' attribute.
  See Also:
    `MeasurementUnit.getUnits()`
  ** Generated **

### getEditorGen

    public GenEditorGenerator getEditorGen()

  Specified by:
    `getEditorGen` in interface `GenDiagram`
  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenDiagram_EditorGen()`, `GenEditorGenerator.getDiagram()`
  ** Generated **

### getProvidersPackageNameGen

    public java.lang.String getProvidersPackageNameGen()

  ** Generated **

### getProvidersPackageName

    public java.lang.String getProvidersPackageName()

  Description copied from interface: `PackageNames`
  Returns the value of the 'Providers Package Name' attribute.

  If the meaning of the 'Providers Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getProvidersPackageName` in interface `PackageNames`
  Returns:
    the value of the 'Providers Package Name' attribute.
  See Also:
    `PackageNames.setProvidersPackageName(String)`, `GMFGenPackage.getPackageNames_ProvidersPackageName()`

### setProvidersPackageName

    public void setProvidersPackageName(java.lang.String newProvidersPackageName)

  Specified by:
    `setProvidersPackageName` in interface `PackageNames`
  Parameters:
    `newProvidersPackageName` - the new value of the 'Providers Package Name' attribute.
  See Also:
    `PackageNames.getProvidersPackageName()`
  ** Generated **

### getParsersPackageNameGen

    public java.lang.String getParsersPackageNameGen()

  ** Generated **

### getParsersPackageName

    public java.lang.String getParsersPackageName()

  Description copied from interface: `PackageNames`
  Returns the value of the 'Parsers Package Name' attribute.

  If the meaning of the 'Parsers Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getParsersPackageName` in interface `PackageNames`
  Returns:
    the value of the 'Parsers Package Name' attribute.
  See Also:
    `PackageNames.setParsersPackageName(String)`, `GMFGenPackage.getPackageNames_ParsersPackageName()`

### setParsersPackageName

    public void setParsersPackageName(java.lang.String newParsersPackageName)

  Specified by:
    `setParsersPackageName` in interface `PackageNames`
  Parameters:
    `newParsersPackageName` - the new value of the 'Parsers Package Name' attribute.
  See Also:
    `PackageNames.getParsersPackageName()`
  ** Generated **

### getNotationViewFactoriesPackageNameGen

    public java.lang.String getNotationViewFactoriesPackageNameGen()

  ** Generated **

### getNotationViewFactoriesPackageName

    public java.lang.String getNotationViewFactoriesPackageName()

  Description copied from interface: `PackageNames`
  Returns the value of the 'Notation View Factories Package Name' attribute.

  If the meaning of the 'Notation View Factories Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNotationViewFactoriesPackageName` in interface `PackageNames`
  Returns:
    the value of the 'Notation View Factories Package Name' attribute.
  See Also:
    `PackageNames.setNotationViewFactoriesPackageName(String)`, `GMFGenPackage.getPackageNames_NotationViewFactoriesPackageName()`

### setNotationViewFactoriesPackageName

    public void setNotationViewFactoriesPackageName(java.lang.String newNotationViewFactoriesPackageName)

  Specified by:
    `setNotationViewFactoriesPackageName` in interface `PackageNames`
  Parameters:
    `newNotationViewFactoriesPackageName` - the new value of the 'Notation View Factories Package Name' attribute.
  See Also:
    `PackageNames.getNotationViewFactoriesPackageName()`
  ** Generated **

### getDocumentProviderClassNameGen

    public java.lang.String getDocumentProviderClassNameGen()

  ** Generated **

### getDocumentProviderClassName

    public java.lang.String getDocumentProviderClassName()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Document Provider Class Name' attribute.

  If the meaning of the 'Document Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDocumentProviderClassName` in interface `EditorCandies`
  Returns:
    the value of the 'Document Provider Class Name' attribute.
  See Also:
    `EditorCandies.setDocumentProviderClassName(String)`, `GMFGenPackage.getEditorCandies_DocumentProviderClassName()`

### setDocumentProviderClassName

    public void setDocumentProviderClassName(java.lang.String newDocumentProviderClassName)

  Specified by:
    `setDocumentProviderClassName` in interface `EditorCandies`
  Parameters:
    `newDocumentProviderClassName` - the new value of the 'Document Provider Class Name' attribute.
  See Also:
    `EditorCandies.getDocumentProviderClassName()`
  ** Generated **

### getEditPartFactoryClassNameGen

    public java.lang.String getEditPartFactoryClassNameGen()

  ** Generated **

### getEditPartFactoryClassName

    public java.lang.String getEditPartFactoryClassName()

  Description copied from interface: `EditPartCandies`
  Returns the value of the 'Edit Part Factory Class Name' attribute.

  If the meaning of the 'Edit Part Factory Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getEditPartFactoryClassName` in interface `EditPartCandies`
  Returns:
    the value of the 'Edit Part Factory Class Name' attribute.
  See Also:
    `EditPartCandies.setEditPartFactoryClassName(String)`, `GMFGenPackage.getEditPartCandies_EditPartFactoryClassName()`

### setEditPartFactoryClassName

    public void setEditPartFactoryClassName(java.lang.String newEditPartFactoryClassName)

  Specified by:
    `setEditPartFactoryClassName` in interface `EditPartCandies`
  Parameters:
    `newEditPartFactoryClassName` - the new value of the 'Edit Part Factory Class Name' attribute.
  See Also:
    `EditPartCandies.getEditPartFactoryClassName()`
  ** Generated **

### getBaseExternalNodeLabelEditPartClassNameGen

    public java.lang.String getBaseExternalNodeLabelEditPartClassNameGen()

  ** Generated **

### getBaseExternalNodeLabelEditPartClassName

    public java.lang.String getBaseExternalNodeLabelEditPartClassName()

  Description copied from interface: `EditPartCandies`
  Returns the value of the 'Base External Node Label Edit Part Class Name' attribute.

  If the meaning of the 'Base External Node Label Edit Part Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getBaseExternalNodeLabelEditPartClassName` in interface `EditPartCandies`
  Returns:
    the value of the 'Base External Node Label Edit Part Class Name' attribute.
  See Also:
    `EditPartCandies.setBaseExternalNodeLabelEditPartClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseExternalNodeLabelEditPartClassName()`

### setBaseExternalNodeLabelEditPartClassName

    public void setBaseExternalNodeLabelEditPartClassName(java.lang.String newBaseExternalNodeLabelEditPartClassName)

  Specified by:
    `setBaseExternalNodeLabelEditPartClassName` in interface `EditPartCandies`
  Parameters:
    `newBaseExternalNodeLabelEditPartClassName` - the new value of the 'Base External Node Label Edit Part Class Name' attribute.
  See Also:
    `EditPartCandies.getBaseExternalNodeLabelEditPartClassName()`
  ** Generated **

### getBaseItemSemanticEditPolicyClassNameGen

    public java.lang.String getBaseItemSemanticEditPolicyClassNameGen()

  ** Generated **

### getBaseItemSemanticEditPolicyClassName

    public java.lang.String getBaseItemSemanticEditPolicyClassName()

  Description copied from interface: `EditPartCandies`
  Returns the value of the 'Base Item Semantic Edit Policy Class Name' attribute.

  If the meaning of the 'Base Item Semantic Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getBaseItemSemanticEditPolicyClassName` in interface `EditPartCandies`
  Returns:
    the value of the 'Base Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.setBaseItemSemanticEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseItemSemanticEditPolicyClassName()`

### setBaseItemSemanticEditPolicyClassName

    public void setBaseItemSemanticEditPolicyClassName(java.lang.String newBaseItemSemanticEditPolicyClassName)

  Specified by:
    `setBaseItemSemanticEditPolicyClassName` in interface `EditPartCandies`
  Parameters:
    `newBaseItemSemanticEditPolicyClassName` - the new value of the 'Base Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.getBaseItemSemanticEditPolicyClassName()`
  ** Generated **

### getBaseGraphicalNodeEditPolicyClassNameGen

    public java.lang.String getBaseGraphicalNodeEditPolicyClassNameGen()

  ** Generated **

### getBaseGraphicalNodeEditPolicyClassName

    public java.lang.String getBaseGraphicalNodeEditPolicyClassName()

  Description copied from interface: `EditPartCandies`
  Returns the value of the 'Base Graphical Node Edit Policy Class Name' attribute.

  If the meaning of the 'Base Graphical Node Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getBaseGraphicalNodeEditPolicyClassName` in interface `EditPartCandies`
  Returns:
    the value of the 'Base Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.setBaseGraphicalNodeEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseGraphicalNodeEditPolicyClassName()`

### setBaseGraphicalNodeEditPolicyClassName

    public void setBaseGraphicalNodeEditPolicyClassName(java.lang.String newBaseGraphicalNodeEditPolicyClassName)

  Specified by:
    `setBaseGraphicalNodeEditPolicyClassName` in interface `EditPartCandies`
  Parameters:
    `newBaseGraphicalNodeEditPolicyClassName` - the new value of the 'Base Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.getBaseGraphicalNodeEditPolicyClassName()`
  ** Generated **

### getCanonicalEditPolicyClassNameGen

    public java.lang.String getCanonicalEditPolicyClassNameGen()

  ** Generated **

### getCanonicalEditPolicyClassName

    public java.lang.String getCanonicalEditPolicyClassName()

  Description copied from interface: `GenContainerBase`
  Returns the value of the 'Canonical Edit Policy Class Name' attribute.

  If the meaning of the 'Canonical Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCanonicalEditPolicyClassName` in interface `GenContainerBase`
  Returns:
    the value of the 'Canonical Edit Policy Class Name' attribute.
  See Also:
    `GenContainerBase.setCanonicalEditPolicyClassName(String)`, `GMFGenPackage.getGenContainerBase_CanonicalEditPolicyClassName()`

### setCanonicalEditPolicyClassName

    public void setCanonicalEditPolicyClassName(java.lang.String newCanonicalEditPolicyClassName)

  Specified by:
    `setCanonicalEditPolicyClassName` in interface `GenContainerBase`
  Parameters:
    `newCanonicalEditPolicyClassName` - the new value of the 'Canonical Edit Policy Class Name' attribute.
  See Also:
    `GenContainerBase.getCanonicalEditPolicyClassName()`
  ** Generated **

### getTextSelectionEditPolicyClassNameGen

    public java.lang.String getTextSelectionEditPolicyClassNameGen()

  ** Generated **

### getTextSelectionEditPolicyClassName

    public java.lang.String getTextSelectionEditPolicyClassName()

  Description copied from interface: `EditPartCandies`
  Returns the value of the 'Text Selection Edit Policy Class Name' attribute.

  If the meaning of the 'Text Selection Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getTextSelectionEditPolicyClassName` in interface `EditPartCandies`
  Returns:
    the value of the 'Text Selection Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.setTextSelectionEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_TextSelectionEditPolicyClassName()`

### setTextSelectionEditPolicyClassName

    public void setTextSelectionEditPolicyClassName(java.lang.String newTextSelectionEditPolicyClassName)

  Specified by:
    `setTextSelectionEditPolicyClassName` in interface `EditPartCandies`
  Parameters:
    `newTextSelectionEditPolicyClassName` - the new value of the 'Text Selection Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.getTextSelectionEditPolicyClassName()`
  ** Generated **

### getTextNonResizableEditPolicyClassNameGen

    public java.lang.String getTextNonResizableEditPolicyClassNameGen()

  ** Generated **

### getTextNonResizableEditPolicyClassName

    public java.lang.String getTextNonResizableEditPolicyClassName()

  Description copied from interface: `EditPartCandies`
  Returns the value of the 'Text Non Resizable Edit Policy Class Name' attribute.

  If the meaning of the 'Text Non Resizable Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getTextNonResizableEditPolicyClassName` in interface `EditPartCandies`
  Returns:
    the value of the 'Text Non Resizable Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.setTextNonResizableEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_TextNonResizableEditPolicyClassName()`

### setTextNonResizableEditPolicyClassName

    public void setTextNonResizableEditPolicyClassName(java.lang.String newTextNonResizableEditPolicyClassName)

  Specified by:
    `setTextNonResizableEditPolicyClassName` in interface `EditPartCandies`
  Parameters:
    `newTextNonResizableEditPolicyClassName` - the new value of the 'Text Non Resizable Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.getTextNonResizableEditPolicyClassName()`
  ** Generated **

### getElementTypesClassNameGen

    public java.lang.String getElementTypesClassNameGen()

  ** Generated **

### getElementTypesClassName

    public java.lang.String getElementTypesClassName()

  Description copied from interface: `ProviderClassNames`
  Returns the value of the 'Element Types Class Name' attribute.

  If the meaning of the 'Element Types Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getElementTypesClassName` in interface `ProviderClassNames`
  Returns:
    the value of the 'Element Types Class Name' attribute.
  See Also:
    `ProviderClassNames.setElementTypesClassName(String)`, `GMFGenPackage.getProviderClassNames_ElementTypesClassName()`

### setElementTypesClassName

    public void setElementTypesClassName(java.lang.String newElementTypesClassName)

  Specified by:
    `setElementTypesClassName` in interface `ProviderClassNames`
  Parameters:
    `newElementTypesClassName` - the new value of the 'Element Types Class Name' attribute.
  See Also:
    `ProviderClassNames.getElementTypesClassName()`
  ** Generated **

### getNotationViewProviderClassNameGen

    public java.lang.String getNotationViewProviderClassNameGen()

  ** Generated **

### getNotationViewProviderClassName

    public java.lang.String getNotationViewProviderClassName()

  Description copied from interface: `ProviderClassNames`
  Returns the value of the 'Notation View Provider Class Name' attribute.

  If the meaning of the 'Notation View Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNotationViewProviderClassName` in interface `ProviderClassNames`
  Returns:
    the value of the 'Notation View Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setNotationViewProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_NotationViewProviderClassName()`

### setNotationViewProviderClassName

    public void setNotationViewProviderClassName(java.lang.String newNotationViewProviderClassName)

  Specified by:
    `setNotationViewProviderClassName` in interface `ProviderClassNames`
  Parameters:
    `newNotationViewProviderClassName` - the new value of the 'Notation View Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getNotationViewProviderClassName()`
  ** Generated **

### getNotationViewProviderPriority

    public ProviderPriority getNotationViewProviderPriority()

  Specified by:
    `getNotationViewProviderPriority` in interface `ProviderClassNames`
  Returns:
    the value of the 'Notation View Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setNotationViewProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_NotationViewProviderPriority()`
  ** Generated **

### setNotationViewProviderPriority

    public void setNotationViewProviderPriority(ProviderPriority newNotationViewProviderPriority)

  Specified by:
    `setNotationViewProviderPriority` in interface `ProviderClassNames`
  Parameters:
    `newNotationViewProviderPriority` - the new value of the 'Notation View Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getNotationViewProviderPriority()`
  ** Generated **

### getReorientConnectionViewCommandClassNameGen

    public java.lang.String getReorientConnectionViewCommandClassNameGen()

  ** Generated **

### getReorientConnectionViewCommandClassName

    public java.lang.String getReorientConnectionViewCommandClassName()

  Description copied from interface: `EditPartCandies`
  Returns the value of the 'Reorient Connection View Command Class Name' attribute.

  If the meaning of the 'Reorient Connection View Command Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getReorientConnectionViewCommandClassName` in interface `EditPartCandies`
  Returns:
    the value of the 'Reorient Connection View Command Class Name' attribute.
  See Also:
    `EditPartCandies.setReorientConnectionViewCommandClassName(String)`, `GMFGenPackage.getEditPartCandies_ReorientConnectionViewCommandClassName()`

### setReorientConnectionViewCommandClassName

    public void setReorientConnectionViewCommandClassName(java.lang.String newReorientConnectionViewCommandClassName)

  Specified by:
    `setReorientConnectionViewCommandClassName` in interface `EditPartCandies`
  Parameters:
    `newReorientConnectionViewCommandClassName` - the new value of the 'Reorient Connection View Command Class Name' attribute.
  See Also:
    `EditPartCandies.getReorientConnectionViewCommandClassName()`
  ** Generated **

### getBaseEditHelperClassNameGen

    public java.lang.String getBaseEditHelperClassNameGen()

  ** Generated **

### getBaseEditHelperClassName

    public java.lang.String getBaseEditHelperClassName()

  Description copied from interface: `EditPartCandies`
  Returns the value of the 'Base Edit Helper Class Name' attribute.

  If the meaning of the 'Base Edit Helper Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getBaseEditHelperClassName` in interface `EditPartCandies`
  Returns:
    the value of the 'Base Edit Helper Class Name' attribute.
  See Also:
    `EditPartCandies.setBaseEditHelperClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseEditHelperClassName()`

### setBaseEditHelperClassName

    public void setBaseEditHelperClassName(java.lang.String newBaseEditHelperClassName)

  Specified by:
    `setBaseEditHelperClassName` in interface `EditPartCandies`
  Parameters:
    `newBaseEditHelperClassName` - the new value of the 'Base Edit Helper Class Name' attribute.
  See Also:
    `EditPartCandies.getBaseEditHelperClassName()`
  ** Generated **

### getInitDiagramFileActionClassNameGen

    public java.lang.String getInitDiagramFileActionClassNameGen()

  ** Generated **

### getInitDiagramFileActionClassName

    public java.lang.String getInitDiagramFileActionClassName()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Init Diagram File Action Class Name' attribute.

  If the meaning of the 'Init Diagram File Action Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getInitDiagramFileActionClassName` in interface `EditorCandies`
  Returns:
    the value of the 'Init Diagram File Action Class Name' attribute.
  See Also:
    `EditorCandies.setInitDiagramFileActionClassName(String)`, `GMFGenPackage.getEditorCandies_InitDiagramFileActionClassName()`

### setInitDiagramFileActionClassName

    public void setInitDiagramFileActionClassName(java.lang.String newInitDiagramFileActionClassName)

  Specified by:
    `setInitDiagramFileActionClassName` in interface `EditorCandies`
  Parameters:
    `newInitDiagramFileActionClassName` - the new value of the 'Init Diagram File Action Class Name' attribute.
  See Also:
    `EditorCandies.getInitDiagramFileActionClassName()`
  ** Generated **

### getNewDiagramFileWizardClassNameGen

    public java.lang.String getNewDiagramFileWizardClassNameGen()

  ** Generated **

### getNewDiagramFileWizardClassName

    public java.lang.String getNewDiagramFileWizardClassName()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'New Diagram File Wizard Class Name' attribute.

  If the meaning of the 'New Diagram File Wizard Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNewDiagramFileWizardClassName` in interface `EditorCandies`
  Returns:
    the value of the 'New Diagram File Wizard Class Name' attribute.
  See Also:
    `EditorCandies.setNewDiagramFileWizardClassName(String)`, `GMFGenPackage.getEditorCandies_NewDiagramFileWizardClassName()`

### setNewDiagramFileWizardClassName

    public void setNewDiagramFileWizardClassName(java.lang.String newNewDiagramFileWizardClassName)

  Specified by:
    `setNewDiagramFileWizardClassName` in interface `EditorCandies`
  Parameters:
    `newNewDiagramFileWizardClassName` - the new value of the 'New Diagram File Wizard Class Name' attribute.
  See Also:
    `EditorCandies.getNewDiagramFileWizardClassName()`
  ** Generated **

### getDiagramContentInitializerClassNameGen

    public java.lang.String getDiagramContentInitializerClassNameGen()

  ** Generated **

### getDiagramContentInitializerClassName

    public java.lang.String getDiagramContentInitializerClassName()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Diagram Content Initializer Class Name' attribute.

  If the meaning of the 'Diagram Content Initializer Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDiagramContentInitializerClassName` in interface `EditorCandies`
  Returns:
    the value of the 'Diagram Content Initializer Class Name' attribute.
  See Also:
    `EditorCandies.setDiagramContentInitializerClassName(String)`, `GMFGenPackage.getEditorCandies_DiagramContentInitializerClassName()`

### setDiagramContentInitializerClassName

    public void setDiagramContentInitializerClassName(java.lang.String newDiagramContentInitializerClassName)

  Specified by:
    `setDiagramContentInitializerClassName` in interface `EditorCandies`
  Parameters:
    `newDiagramContentInitializerClassName` - the new value of the 'Diagram Content Initializer Class Name' attribute.
  See Also:
    `EditorCandies.getDiagramContentInitializerClassName()`
  ** Generated **

### getCreationWizardClassNameGen

    public java.lang.String getCreationWizardClassNameGen()

  ** Generated **

### getCreationWizardClassName

    public java.lang.String getCreationWizardClassName()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Creation Wizard Class Name' attribute.

  If the meaning of the 'Creation Wizard Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCreationWizardClassName` in interface `EditorCandies`
  Returns:
    the value of the 'Creation Wizard Class Name' attribute.
  See Also:
    `EditorCandies.setCreationWizardClassName(String)`, `GMFGenPackage.getEditorCandies_CreationWizardClassName()`

### setCreationWizardClassName

    public void setCreationWizardClassName(java.lang.String newCreationWizardClassName)

  Specified by:
    `setCreationWizardClassName` in interface `EditorCandies`
  Parameters:
    `newCreationWizardClassName` - the new value of the 'Creation Wizard Class Name' attribute.
  See Also:
    `EditorCandies.getCreationWizardClassName()`
  ** Generated **

### getCreationWizardPageClassNameGen

    public java.lang.String getCreationWizardPageClassNameGen()

  ** Generated **

### getCreationWizardPageClassName

    public java.lang.String getCreationWizardPageClassName()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Creation Wizard Page Class Name' attribute.

  If the meaning of the 'Creation Wizard Page Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCreationWizardPageClassName` in interface `EditorCandies`
  Returns:
    the value of the 'Creation Wizard Page Class Name' attribute.
  See Also:
    `EditorCandies.setCreationWizardPageClassName(String)`, `GMFGenPackage.getEditorCandies_CreationWizardPageClassName()`

### setCreationWizardPageClassName

    public void setCreationWizardPageClassName(java.lang.String newCreationWizardPageClassName)

  Specified by:
    `setCreationWizardPageClassName` in interface `EditorCandies`
  Parameters:
    `newCreationWizardPageClassName` - the new value of the 'Creation Wizard Page Class Name' attribute.
  See Also:
    `EditorCandies.getCreationWizardPageClassName()`
  ** Generated **

### getCreationWizardIconPathGen

    public java.lang.String getCreationWizardIconPathGen()

  ** Generated **

### getCreationWizardIconPath

    public java.lang.String getCreationWizardIconPath()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Creation Wizard Icon Path' attribute.

  If the meaning of the 'Creation Wizard Icon Path' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCreationWizardIconPath` in interface `EditorCandies`
  Returns:
    the value of the 'Creation Wizard Icon Path' attribute.
  See Also:
    `EditorCandies.setCreationWizardIconPath(String)`, `GMFGenPackage.getEditorCandies_CreationWizardIconPath()`

### getCreationWizardIconPathX

    public java.lang.String getCreationWizardIconPathX()

  Specified by:
    `getCreationWizardIconPathX` in interface `EditorCandies`
  Returns:
  See Also:
    `GenEditorView.getIconPathX()`

### setCreationWizardIconPath

    public void setCreationWizardIconPath(java.lang.String newCreationWizardIconPath)

  Specified by:
    `setCreationWizardIconPath` in interface `EditorCandies`
  Parameters:
    `newCreationWizardIconPath` - the new value of the 'Creation Wizard Icon Path' attribute.
  See Also:
    `EditorCandies.getCreationWizardIconPath()`
  ** Generated **

### getCreationWizardCategoryIDGen

    public java.lang.String getCreationWizardCategoryIDGen()

  ** Generated **

### getCreationWizardCategoryID

    public java.lang.String getCreationWizardCategoryID()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Creation Wizard Category ID' attribute.

  If the meaning of the 'Creation Wizard Category ID' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCreationWizardCategoryID` in interface `EditorCandies`
  Returns:
    the value of the 'Creation Wizard Category ID' attribute.
  See Also:
    `EditorCandies.setCreationWizardCategoryID(String)`, `GMFGenPackage.getEditorCandies_CreationWizardCategoryID()`

### setCreationWizardCategoryID

    public void setCreationWizardCategoryID(java.lang.String newCreationWizardCategoryID)

  Specified by:
    `setCreationWizardCategoryID` in interface `EditorCandies`
  Parameters:
    `newCreationWizardCategoryID` - the new value of the 'Creation Wizard Category ID' attribute.
  See Also:
    `EditorCandies.getCreationWizardCategoryID()`
  ** Generated **

### getDiagramEditorUtilClassNameGen

    public java.lang.String getDiagramEditorUtilClassNameGen()

  ** Generated **

### getDiagramEditorUtilClassName

    public java.lang.String getDiagramEditorUtilClassName()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Diagram Editor Util Class Name' attribute.

  If the meaning of the 'Diagram Editor Util Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDiagramEditorUtilClassName` in interface `EditorCandies`
  Returns:
    the value of the 'Diagram Editor Util Class Name' attribute.
  See Also:
    `EditorCandies.setDiagramEditorUtilClassName(String)`, `GMFGenPackage.getEditorCandies_DiagramEditorUtilClassName()`

### setDiagramEditorUtilClassName

    public void setDiagramEditorUtilClassName(java.lang.String newDiagramEditorUtilClassName)

  Specified by:
    `setDiagramEditorUtilClassName` in interface `EditorCandies`
  Parameters:
    `newDiagramEditorUtilClassName` - the new value of the 'Diagram Editor Util Class Name' attribute.
  See Also:
    `EditorCandies.getDiagramEditorUtilClassName()`
  ** Generated **

### getMatchingStrategyClassNameGen

    public java.lang.String getMatchingStrategyClassNameGen()

  ** Generated **

### getMatchingStrategyClassName

    public java.lang.String getMatchingStrategyClassName()

  Description copied from interface: `EditorCandies`
  Returns the value of the 'Matching Strategy Class Name' attribute.

  If the meaning of the 'Matching Strategy Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getMatchingStrategyClassName` in interface `EditorCandies`
  Returns:
    the value of the 'Matching Strategy Class Name' attribute.
  See Also:
    `EditorCandies.setMatchingStrategyClassName(String)`, `GMFGenPackage.getEditorCandies_MatchingStrategyClassName()`

### setMatchingStrategyClassName

    public void setMatchingStrategyClassName(java.lang.String newMatchingStrategyClassName)

  Specified by:
    `setMatchingStrategyClassName` in interface `EditorCandies`
  Parameters:
    `newMatchingStrategyClassName` - the new value of the 'Matching Strategy Class Name' attribute.
  See Also:
    `EditorCandies.getMatchingStrategyClassName()`
  ** Generated **

### getEditPartProviderClassNameGen

    public java.lang.String getEditPartProviderClassNameGen()

  ** Generated **

### getEditPartProviderClassName

    public java.lang.String getEditPartProviderClassName()

  Description copied from interface: `ProviderClassNames`
  Returns the value of the 'Edit Part Provider Class Name' attribute.

  If the meaning of the 'Edit Part Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getEditPartProviderClassName` in interface `ProviderClassNames`
  Returns:
    the value of the 'Edit Part Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setEditPartProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_EditPartProviderClassName()`

### setEditPartProviderClassName

    public void setEditPartProviderClassName(java.lang.String newEditPartProviderClassName)

  Specified by:
    `setEditPartProviderClassName` in interface `ProviderClassNames`
  Parameters:
    `newEditPartProviderClassName` - the new value of the 'Edit Part Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getEditPartProviderClassName()`
  ** Generated **

### getEditPartProviderPriority

    public ProviderPriority getEditPartProviderPriority()

  Specified by:
    `getEditPartProviderPriority` in interface `ProviderClassNames`
  Returns:
    the value of the 'Edit Part Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setEditPartProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_EditPartProviderPriority()`
  ** Generated **

### setEditPartProviderPriority

    public void setEditPartProviderPriority(ProviderPriority newEditPartProviderPriority)

  Specified by:
    `setEditPartProviderPriority` in interface `ProviderClassNames`
  Parameters:
    `newEditPartProviderPriority` - the new value of the 'Edit Part Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getEditPartProviderPriority()`
  ** Generated **

### getModelingAssistantProviderClassNameGen

    public java.lang.String getModelingAssistantProviderClassNameGen()

  ** Generated **

### getModelingAssistantProviderClassName

    public java.lang.String getModelingAssistantProviderClassName()

  Description copied from interface: `ProviderClassNames`
  Returns the value of the 'Modeling Assistant Provider Class Name' attribute.

  If the meaning of the 'Modeling Assistant Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getModelingAssistantProviderClassName` in interface `ProviderClassNames`
  Returns:
    the value of the 'Modeling Assistant Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setModelingAssistantProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_ModelingAssistantProviderClassName()`

### setModelingAssistantProviderClassName

    public void setModelingAssistantProviderClassName(java.lang.String newModelingAssistantProviderClassName)

  Specified by:
    `setModelingAssistantProviderClassName` in interface `ProviderClassNames`
  Parameters:
    `newModelingAssistantProviderClassName` - the new value of the 'Modeling Assistant Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getModelingAssistantProviderClassName()`
  ** Generated **

### getModelingAssistantProviderPriority

    public ProviderPriority getModelingAssistantProviderPriority()

  Specified by:
    `getModelingAssistantProviderPriority` in interface `ProviderClassNames`
  Returns:
    the value of the 'Modeling Assistant Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setModelingAssistantProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_ModelingAssistantProviderPriority()`
  ** Generated **

### setModelingAssistantProviderPriority

    public void setModelingAssistantProviderPriority(ProviderPriority newModelingAssistantProviderPriority)

  Specified by:
    `setModelingAssistantProviderPriority` in interface `ProviderClassNames`
  Parameters:
    `newModelingAssistantProviderPriority` - the new value of the 'Modeling Assistant Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getModelingAssistantProviderPriority()`
  ** Generated **

### getIconProviderClassNameGen

    public java.lang.String getIconProviderClassNameGen()

  ** Generated **

### getIconProviderClassName

    public java.lang.String getIconProviderClassName()

  Description copied from interface: `ProviderClassNames`
  Returns the value of the 'Icon Provider Class Name' attribute.

  If the meaning of the 'Icon Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getIconProviderClassName` in interface `ProviderClassNames`
  Returns:
    the value of the 'Icon Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setIconProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_IconProviderClassName()`

### setIconProviderClassName

    public void setIconProviderClassName(java.lang.String newIconProviderClassName)

  Specified by:
    `setIconProviderClassName` in interface `ProviderClassNames`
  Parameters:
    `newIconProviderClassName` - the new value of the 'Icon Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getIconProviderClassName()`
  ** Generated **

### getIconProviderPriority

    public ProviderPriority getIconProviderPriority()

  Specified by:
    `getIconProviderPriority` in interface `ProviderClassNames`
  Returns:
    the value of the 'Icon Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setIconProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_IconProviderPriority()`
  ** Generated **

### setIconProviderPriority

    public void setIconProviderPriority(ProviderPriority newIconProviderPriority)

  Specified by:
    `setIconProviderPriority` in interface `ProviderClassNames`
  Parameters:
    `newIconProviderPriority` - the new value of the 'Icon Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getIconProviderPriority()`
  ** Generated **

### getParserProviderClassNameGen

    public java.lang.String getParserProviderClassNameGen()

  ** Generated **

### getParserProviderClassName

    public java.lang.String getParserProviderClassName()

  Description copied from interface: `ProviderClassNames`
  Returns the value of the 'Parser Provider Class Name' attribute.

  If the meaning of the 'Parser Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getParserProviderClassName` in interface `ProviderClassNames`
  Returns:
    the value of the 'Parser Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setParserProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_ParserProviderClassName()`

### setParserProviderClassName

    public void setParserProviderClassName(java.lang.String newParserProviderClassName)

  Specified by:
    `setParserProviderClassName` in interface `ProviderClassNames`
  Parameters:
    `newParserProviderClassName` - the new value of the 'Parser Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getParserProviderClassName()`
  ** Generated **

### getParserProviderPriority

    public ProviderPriority getParserProviderPriority()

  Specified by:
    `getParserProviderPriority` in interface `ProviderClassNames`
  Returns:
    the value of the 'Parser Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setParserProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_ParserProviderPriority()`
  ** Generated **

### setParserProviderPriority

    public void setParserProviderPriority(ProviderPriority newParserProviderPriority)

  Specified by:
    `setParserProviderPriority` in interface `ProviderClassNames`
  Parameters:
    `newParserProviderPriority` - the new value of the 'Parser Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getParserProviderPriority()`
  ** Generated **

### getContributionItemProviderClassNameGen

    public java.lang.String getContributionItemProviderClassNameGen()

  ** Generated **

### getContributionItemProviderClassName

    public java.lang.String getContributionItemProviderClassName()

  Description copied from interface: `ProviderClassNames`
  Returns the value of the 'Contribution Item Provider Class Name' attribute.

  If the meaning of the 'Contribution Item Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getContributionItemProviderClassName` in interface `ProviderClassNames`
  Returns:
    the value of the 'Contribution Item Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setContributionItemProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_ContributionItemProviderClassName()`

### setContributionItemProviderClassName

    public void setContributionItemProviderClassName(java.lang.String newContributionItemProviderClassName)

  Specified by:
    `setContributionItemProviderClassName` in interface `ProviderClassNames`
  Parameters:
    `newContributionItemProviderClassName` - the new value of the 'Contribution Item Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getContributionItemProviderClassName()`
  ** Generated **

### getContributionItemProviderQualifiedClassName

    public java.lang.String getContributionItemProviderQualifiedClassName()

  Specified by:
    `getContributionItemProviderQualifiedClassName` in interface `ProviderClassNames`
  ** Generated **
    NOT

### getAssistantNodes

    public org.eclipse.emf.common.util.EList<GenNode> getAssistantNodes()

  Specified by:
    `getAssistantNodes` in interface `GenContainerBase`
  ** Generated **
    NOT

### needsCanonicalEditPolicy

    public boolean needsCanonicalEditPolicy()

  Specified by:
    `needsCanonicalEditPolicy` in interface `GenContainerBase`
  ** Generated **
    NOT

### getAllNodes

    public org.eclipse.emf.common.util.EList<GenNode> getAllNodes()

  Specified by:
    `getAllNodes` in interface `GenDiagram`
  ** Generated **
    NOT

### getAllChildContainers

    public org.eclipse.emf.common.util.EList<GenChildContainer> getAllChildContainers()

  Specified by:
    `getAllChildContainers` in interface `GenDiagram`
  ** Generated **
    NOT

### getAllContainers

    public org.eclipse.emf.common.util.EList<GenContainerBase> getAllContainers()

  Specified by:
    `getAllContainers` in interface `GenDiagram`
  ** Generated **
    NOT

### getVisualIDRegistryQualifiedClassName

    public java.lang.String getVisualIDRegistryQualifiedClassName()

  Specified by:
    `getVisualIDRegistryQualifiedClassName` in interface `EditorCandies`
  ** Generated **
    NOT

### getCreateShortcutActionQualifiedClassName

    public java.lang.String getCreateShortcutActionQualifiedClassName()

  Specified by:
    `getCreateShortcutActionQualifiedClassName` in interface `Shortcuts`
  ** Generated **
    NOT

### getCreateShortcutDecorationsCommandQualifiedClassName

    public java.lang.String getCreateShortcutDecorationsCommandQualifiedClassName()

  Specified by:
    `getCreateShortcutDecorationsCommandQualifiedClassName` in interface `Shortcuts`
  ** Generated **
    NOT

### getShortcutPropertyTesterQualifiedClassName

    public java.lang.String getShortcutPropertyTesterQualifiedClassName()

  Specified by:
    `getShortcutPropertyTesterQualifiedClassName` in interface `Shortcuts`
  ** Generated **
    NOT

### getElementChooserQualifiedClassName

    public java.lang.String getElementChooserQualifiedClassName()

  Specified by:
    `getElementChooserQualifiedClassName` in interface `EditorCandies`
  ** Generated **
    NOT

### getLoadResourceActionQualifiedClassName

    public java.lang.String getLoadResourceActionQualifiedClassName()

  Specified by:
    `getLoadResourceActionQualifiedClassName` in interface `EditorCandies`
  ** Generated **
    NOT

### generateInitDiagramAction

    public boolean generateInitDiagramAction()

  Specified by:
    `generateInitDiagramAction` in interface `EditorCandies`
  ** Generated **
    NOT

### getShortcutsDecoratorProviderQualifiedClassName

    public java.lang.String getShortcutsDecoratorProviderQualifiedClassName()

  Specified by:
    `getShortcutsDecoratorProviderQualifiedClassName` in interface `Shortcuts`
  ** Generated **
    NOT

### getValidationProviderQualifiedClassName

    public java.lang.String getValidationProviderQualifiedClassName()

  Specified by:
    `getValidationProviderQualifiedClassName` in interface `BatchValidation`
  ** Generated **
    NOT

### getValidationDiagnosticMarkerType

    public java.lang.String getValidationDiagnosticMarkerType()

  Specified by:
    `getValidationDiagnosticMarkerType` in interface `BatchValidation`
  ** Generated **
    NOT

### setMarkerNavigationProviderClassName

    public void setMarkerNavigationProviderClassName(java.lang.String newMarkerNavigationProviderClassName)

  Specified by:
    `setMarkerNavigationProviderClassName` in interface `BatchValidation`
  Parameters:
    `newMarkerNavigationProviderClassName` - the new value of the 'Marker Navigation Provider Class Name' attribute.
  See Also:
    `BatchValidation.getMarkerNavigationProviderClassName()`
  ** Generated **

### getMarkerNavigationProviderPriority

    public ProviderPriority getMarkerNavigationProviderPriority()

  Specified by:
    `getMarkerNavigationProviderPriority` in interface `BatchValidation`
  Returns:
    the value of the 'Marker Navigation Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `BatchValidation.setMarkerNavigationProviderPriority(ProviderPriority)`, `GMFGenPackage.getBatchValidation_MarkerNavigationProviderPriority()`
  ** Generated **

### setMarkerNavigationProviderPriority

    public void setMarkerNavigationProviderPriority(ProviderPriority newMarkerNavigationProviderPriority)

  Specified by:
    `setMarkerNavigationProviderPriority` in interface `BatchValidation`
  Parameters:
    `newMarkerNavigationProviderPriority` - the new value of the 'Marker Navigation Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `BatchValidation.getMarkerNavigationProviderPriority()`
  ** Generated **

### generateCreateShortcutAction

    public boolean generateCreateShortcutAction()

  Specified by:
    `generateCreateShortcutAction` in interface `Shortcuts`
  ** Generated **
    NOT

### generateShortcutIcon

    public boolean generateShortcutIcon()

  Specified by:
    `generateShortcutIcon` in interface `Shortcuts`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenCommonBaseImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenCommonBaseImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `GenCommonBaseImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `GenCommonBaseImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `GenCommonBaseImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `GenCommonBaseImpl`
  ** Generated **

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### hasLinkCreationConstraints

    public boolean hasLinkCreationConstraints()

  Specified by:
    `hasLinkCreationConstraints` in interface `LinkConstraints`
  ** Generated **
    NOT

### getLinkCreationConstraintsClassName

    public java.lang.String getLinkCreationConstraintsClassName()

  Specified by:
    `getLinkCreationConstraintsClassName` in interface `LinkConstraints`
  ** Generated **
    NOT

### getLinkCreationConstraintsQualifiedClassName

    public java.lang.String getLinkCreationConstraintsQualifiedClassName()

  Specified by:
    `getLinkCreationConstraintsQualifiedClassName` in interface `LinkConstraints`
  ** Generated **
    NOT

### getReorientConnectionViewCommandQualifiedClassName

    public java.lang.String getReorientConnectionViewCommandQualifiedClassName()

  Specified by:
    `getReorientConnectionViewCommandQualifiedClassName` in interface `EditPartCandies`
  ** Generated **
    NOT

### getBaseEditHelperQualifiedClassName

    public java.lang.String getBaseEditHelperQualifiedClassName()

  Specified by:
    `getBaseEditHelperQualifiedClassName` in interface `EditPartCandies`
  ** Generated **
    NOT

### getEditPartFactoryQualifiedClassName

    public java.lang.String getEditPartFactoryQualifiedClassName()

  Specified by:
    `getEditPartFactoryQualifiedClassName` in interface `EditPartCandies`
  ** Generated **
    NOT

### getBaseExternalNodeLabelEditPartQualifiedClassName

    public java.lang.String getBaseExternalNodeLabelEditPartQualifiedClassName()

  Specified by:
    `getBaseExternalNodeLabelEditPartQualifiedClassName` in interface `EditPartCandies`
  ** Generated **
    NOT

### getBaseItemSemanticEditPolicyQualifiedClassName

    public java.lang.String getBaseItemSemanticEditPolicyQualifiedClassName()

  Specified by:
    `getBaseItemSemanticEditPolicyQualifiedClassName` in interface `EditPartCandies`
  ** Generated **
    NOT

### getBaseGraphicalNodeEditPolicyQualifiedClassName

    public java.lang.String getBaseGraphicalNodeEditPolicyQualifiedClassName()

  Specified by:
    `getBaseGraphicalNodeEditPolicyQualifiedClassName` in interface `EditPartCandies`
  ** Generated **
    NOT

### getCanonicalEditPolicyQualifiedClassName

    public java.lang.String getCanonicalEditPolicyQualifiedClassName()

  Specified by:
    `getCanonicalEditPolicyQualifiedClassName` in interface `GenContainerBase`
  ** Generated **
    NOT

### getTextSelectionEditPolicyQualifiedClassName

    public java.lang.String getTextSelectionEditPolicyQualifiedClassName()

  Specified by:
    `getTextSelectionEditPolicyQualifiedClassName` in interface `EditPartCandies`
  ** Generated **
    NOT

### getTextNonResizableEditPolicyQualifiedClassName

    public java.lang.String getTextNonResizableEditPolicyQualifiedClassName()

  Specified by:
    `getTextNonResizableEditPolicyQualifiedClassName` in interface `EditPartCandies`
  ** Generated **
    NOT

### getElementTypesQualifiedClassName

    public java.lang.String getElementTypesQualifiedClassName()

  Specified by:
    `getElementTypesQualifiedClassName` in interface `ProviderClassNames`
  ** Generated **
    NOT

### getNotationViewProviderQualifiedClassName

    public java.lang.String getNotationViewProviderQualifiedClassName()

  Specified by:
    `getNotationViewProviderQualifiedClassName` in interface `ProviderClassNames`
  ** Generated **
    NOT

### getInitDiagramFileActionQualifiedClassName

    public java.lang.String getInitDiagramFileActionQualifiedClassName()

  Specified by:
    `getInitDiagramFileActionQualifiedClassName` in interface `EditorCandies`
  ** Generated **
    NOT

### getNewDiagramFileWizardQualifiedClassName

    public java.lang.String getNewDiagramFileWizardQualifiedClassName()

  Specified by:
    `getNewDiagramFileWizardQualifiedClassName` in interface `EditorCandies`
  ** Generated **
    NOT

### getDiagramContentInitializerQualifiedClassName

    public java.lang.String getDiagramContentInitializerQualifiedClassName()

  Specified by:
    `getDiagramContentInitializerQualifiedClassName` in interface `EditorCandies`
  ** Generated **
    NOT

### getEditPartProviderQualifiedClassName

    public java.lang.String getEditPartProviderQualifiedClassName()

  Specified by:
    `getEditPartProviderQualifiedClassName` in interface `ProviderClassNames`
  ** Generated **
    NOT

### getModelingAssistantProviderQualifiedClassName

    public java.lang.String getModelingAssistantProviderQualifiedClassName()

  Specified by:
    `getModelingAssistantProviderQualifiedClassName` in interface `ProviderClassNames`
  ** Generated **
    NOT

### getIconProviderQualifiedClassName

    public java.lang.String getIconProviderQualifiedClassName()

  Specified by:
    `getIconProviderQualifiedClassName` in interface `ProviderClassNames`
  ** Generated **
    NOT

### getParserProviderQualifiedClassName

    public java.lang.String getParserProviderQualifiedClassName()

  Specified by:
    `getParserProviderQualifiedClassName` in interface `ProviderClassNames`
  ** Generated **
    NOT

### getCreationWizardQualifiedClassName

    public java.lang.String getCreationWizardQualifiedClassName()

  Specified by:
    `getCreationWizardQualifiedClassName` in interface `EditorCandies`
  ** Generated **
    NOT

### getCreationWizardPageQualifiedClassName

    public java.lang.String getCreationWizardPageQualifiedClassName()

  Specified by:
    `getCreationWizardPageQualifiedClassName` in interface `EditorCandies`
  ** Generated **
    NOT

### getDiagramEditorUtilQualifiedClassName

    public java.lang.String getDiagramEditorUtilQualifiedClassName()

  Specified by:
    `getDiagramEditorUtilQualifiedClassName` in interface `EditorCandies`
  ** Generated **
    NOT

### getDocumentProviderQualifiedClassName

    public java.lang.String getDocumentProviderQualifiedClassName()

  Specified by:
    `getDocumentProviderQualifiedClassName` in interface `EditorCandies`
  ** Generated **
    NOT

### getMatchingStrategyQualifiedClassName

    public java.lang.String getMatchingStrategyQualifiedClassName()

  Specified by:
    `getMatchingStrategyQualifiedClassName` in interface `EditorCandies`
  ** Generated **
    NOT

### getElementInitializersClassName

    public java.lang.String getElementInitializersClassName()

  Specified by:
    `getElementInitializersClassName` in interface `GenDiagram`
  ** Generated **
    NOT

### getElementInitializersPackageName

    public java.lang.String getElementInitializersPackageName()

  Specified by:
    `getElementInitializersPackageName` in interface `GenDiagram`
  ** Generated **
    NOT

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenCommonBaseImpl`
  ** Generated **

### getMetaPackageName

    public java.lang.String getMetaPackageName(ImportAssistant importManager)

  Deprecated.

  Description copied from interface: `GenDiagram`
  Shorthand for `importManager.getImportedName(genDiagram.getDomainDiagramElement().getGenPackage().getQualifiedPackageInterfaceName())` NOTE: genPackage for domainDiagramElement only (not editor-wide domain model!), don't use it for features/classes/references found in GenLink/GenNodes!

  Specified by:
    `getMetaPackageName` in interface `GenDiagram`

### getTypeModelFacet2GenBaseMap

    public java.util.Map<TypeModelFacet,GenCommonBase> getTypeModelFacet2GenBaseMap()

  Deprecated.

  Specified by:
    `getTypeModelFacet2GenBaseMap` in interface `GenDiagram`

### getGenClass2PhantomMap

    public java.util.Map<org.eclipse.emf.codegen.ecore.genmodel.GenClass,GenTopLevelNode> getGenClass2PhantomMap()

  Specified by:
    `getGenClass2PhantomMap` in interface `GenDiagram`

### getPhantomLinks

    public java.util.List<GenLink> getPhantomLinks()

  Specified by:
    `getPhantomLinks` in interface `GenDiagram`

### isSansDomain

    public boolean isSansDomain()

  Description copied from class: `GenCommonBaseImpl`

  Specified by:
    `isSansDomain` in interface `GenCommonBase`
  Specified by:
    `isSansDomain` in class `GenCommonBaseImpl`
  Returns:
    the value of the 'Sans Domain' attribute.
  See Also:
    `GMFGenPackage.getGenCommonBase_SansDomain()`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.